// Actor reference code done by MasterKent
// All the rest done by gopostal
// Blessings given by Paci for the translation effort
// You have full permissions to use anything in here in any way you want

class gopostalRYSfix expands mutator config(gopostalRYSfix);

var config bool bUseTranslatorMarks;
var config bool bSkipWormholes;

function postbeginplay()
{
   local TranslatorEvent TE;

	FixMaps();

	if (bUseTranslatorMarks)
	{
   	foreach AllActors(class'TranslatorEvent', TE)
   	{
      	if(TE !=none)
      	{
         	TE.bHidden=False;
         	TE.DrawType=DT_Mesh;
         	TE.Mesh=Mesh'gopostalRYSfix.SV_Invincible';
         	TE.bFixedRotationDir=True;
         	TE.SetPhysics(PHYS_Rotating);
         	TE.RotationRate.Yaw=6000;
         	TE.Velocity.Z=6000;
			}
   	}
	}
}

function FixMaps()
{
	if (outer.name == '00Intro')
		FixMap_00Intro();
	else if (outer.name == '01Escape')
		FixMap_01Escape();
	else if (outer.name == '02Village')
		FixMap_02Village();
	else if (outer.name == '03Temple')
		FixMap_03Temple();
	else if (outer.name == '04Mountains')
		FixMap_04Mountains();
	else if (outer.name == '05Spire')
		FixMap_05Spire();
	else if (outer.name == '06Streets')
		FixMap_06Streets();
	else if (outer.name == '07Sewers')
		FixMap_07Sewers();
	else if (outer.name == '08StellTown')
		FixMap_08Stelltown();
	else if (outer.name == '09Underground')
		FixMap_09Underground();
	else if (outer.name == '10Queen')
		FixMap_10Queen();
	else if (outer.name == '11Village')
		FixMap_11Village();
	else if (outer.name == '12ColdPassage')
		FixMap_12ColdPassage();
	else if (outer.name == '13Cemetery')
		FixMap_13Cemetery();
	else if (outer.name == '14OldQuarter')
		FixMap_14OldQuarter();
	else if (outer.name == '15CourtyArd')
		FixMap_15CourtyArd();
	else if (outer.name == '16Castle')
		FixMap_16Castle();
	else if (outer.name == '17Tower')
		FixMap_17Tower();
	else if (outer.name == '18RuthinLine')
		FixMap_18RuthinLine();
	else if (outer.name == '19IceMorning')
		FixMap_19IceMorning();
	else if (outer.name == '20Cave')
		FixMap_20Cave();
	else if (outer.name == '21Mine')
		FixMap_21Mine();
	else if (outer.name == '22SpeedWay')
		FixMap_22SpeedWay();
	else if (outer.name == '23WarFactory')
		FixMap_23WarFactory();
	else if (outer.name == '24HeadQuarter')
		FixMap_24HeadQuarter();
	else if (outer.name == '25LostPalace')
		FixMap_25LostPalace();
	else if (outer.name == '26Town')
		FixMap_26Town();
	else if (outer.name == '27Cellars')
		FixMap_27Cellars();
	else if (outer.name == '28Palace')
		FixMap_28Palace();
	else if (outer.name == '29CentralTown')
		FixMap_29CentralTown();
	else if (outer.name == '30Catacombs')
		FixMap_30Catacombs();
	else if (outer.name == '31LostCity')
		FixMap_31LostCity();
	else if (outer.name == '32Piramide')
		FixMap_32Piramide();
	else if (outer.name == '33Sarevok')
		FixMap_33Sarevok();
	else if (outer.name == '34DarkWood')
		FixMap_34DarkWood();
	else if (outer.name == '35Monastery')
		FixMap_35Monastery();
	else if (outer.name == '36Amarok')
		FixMap_36Amarok();
	else if (outer.name == '37Castle')
		FixMap_37Castle();
	else if (outer.name == '38Specters')
		FixMap_38Specters();
	else if (outer.name == '39Ruins')
		FixMap_39Ruins();
	else if (outer.name == '40Underworld')
		FixMap_40Underworld();
	else if (outer.name == '41Stonehenge')
		FixMap_41Stonehenge();
	else if (outer.name == '42Gateport')
		FixMap_42Gateport();
	else if (outer.name == '43City')
		FixMap_43City();
	else if (outer.name == '44OldSection')
		FixMap_44OldSection();
	else if (outer.name == '45HighTown')
		FixMap_45HighTown();
	else if (outer.name == '46SpacePort')
		FixMap_46SpacePort();
	else if (outer.name == '47Outro')
		FixMap_47Outro();
// Bonus maps
	else if (outer.name == 'S1SkyShip')
		FixMap_S1SkyShip();
	else if (outer.name == 'S2Cursed')
		FixMap_S2Cursed();
	else if (outer.name == 'S3Toys')
		FixMap_S3Toys();
	else if (outer.name == 'S4VReality')
		FixMap_S4VReality();
	else if (outer.name == 'S5HellRaiser')
		FixMap_S5HellRaiser();
	else if (outer.name == 'S6PaciManor')
		FixMap_S6PaciManor();
	else if (outer.name == 'S7Gloomy')
		FixMap_S7Gloomy();
}

function FixMap_00Intro()
{
	SetSpecialEventMessage("SpecialEvent1", "In the 21st century tension between world powers was rising...");
	SetSpecialEventMessage("SpecialEvent2", "Until the outbursts of hatred got out of control.");
	SetSpecialEventMessage("SpecialEvent3", "In 2048 the 3rd World War broke out.");
	SetSpecialEventMessage("SpecialEvent4", "After 8 years of harsh war most of the world was turned into rubble.");
	SetSpecialEventMessage("SpecialEvent5", "After the nuclear strikes many parts of the world became uninhabitable.");
	SetSpecialEventMessage("SpecialEvent6", "I remember it as a small child. Poverty. Food rationing.");
	SetSpecialEventMessage("SpecialEvent7", "My father was killed before I was born. My mother vanished when I was 8 years old.");
	SetSpecialEventMessage("SpecialEvent8", "In the 60s of the 21st century the totalitarian world government began strengthening its power.");
	SetSpecialEventMessage("SpecialEvent9", "The world has completely changed. There is no freedom of speech, privacy, or freedom of thought.");
	SetSpecialEventMessage("SpecialEvent10", "A world in which children betray their parents and inform the government. There is no family, no love. There exists only love towards big brother.");
	SetSpecialEventMessage("SpecialEvent11", "Press censorship is common and continuous party propaganda is nothing but a perverted mass brainwashing.");
	SetSpecialEventMessage("SpecialEvent12", "Every minute of human life is under the absolute control of all-powerful party. Ubiquitous screens constantly pour messages into peoples heads.");
	SetSpecialEventMessage("SpecialEvent13", "News about non-existant wars, traitor executions, or weapons violations. And all of that under the vigilant supervision of the loving big brother.");
	SetSpecialEventMessage("SpecialEvent14", "The government party allowed a few lucky ones to complete the trip into orbit. The party showed this way was the development of the country.");
}

function FixMap_01Escape()
{
	SetSpecialEventMessage("SpecialEvent0", "The elevator is out of service.");
	SetSpecialEventMessage("SpecialEvent1", "WARNING! The ship has been invaded by an alien life form.");
	SetSpecialEventMessage("SpecialEvent2", "Full crew must evacuate immediately.");
	SetSpecialEventMessage("SpecialEvent3", "The ships ventilation system has totally failed.");
	SetSpecialEventMessage("SpecialEvent5", "Level 6 has been breached.");
	SetSpecialEventMessage("SpecialEvent6", "Levels 2 3 7 and 9 are still holding but not for long.");
	SetSpecialEventMessage("SpecialEvent7", "Propulsion drive is destroyed, back-up is not functioning.");
	SetSpecialEventMessage("SpecialEvent8", "The controls are destroyed. The escape module is uncontrollable. SHIT!");
	SetSpecialEventMessage("SpecialEvent9", "Rescue module ready. Journey to Madehiten will take 2 minutes..");
	SetSpecialEventMessage("SpecialEvent10", "The speed increases uncontrollably.");

	SetTranslatorEventMessage("TranslatorEvent0", "Status of ship: Drive 0% Shields 2% Ventilation 25% Electronics 12%. Overall ship condition is critical. 35 minutes left. Likely impact site Planet: Exploited.");
	SetTranslatorEventMessage("TranslatorEvent1", "The nearest inhabitable planet: Madehiten. Transport time for the module will take approximately 5 minutes.");
	SetTranslatorEventMessage("TranslatorEvent2", "Madehiten sensors picked up wormholes opening. Cause of these wormholes are unknown.");
	SetTranslatorEventMessage("TranslatorEvent3", "28 July 2084: Finally I managed to sneak into the cargo space. The Baltar ship is headed around the planet Exploited. When it's close I'll steal the rescue module and fly there. On this planet people live totally free without evil rulers.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: I was awakened from hibernation, but what's going on? Alarm is triggered. Something had to crash into the ship, or from us by someone falling down? I should have a look around.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: What's that? The corpses...what the hell is going on? I'm worried...Behind the door you hear scary sounds. I shudder to think what is behind them. I think I'll find another way.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: I have to find out if anyone else survived. I'll go look in the command post at the 9th level.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Vtach fell in the command post. This ventilation shaft should lead belowdecks. I hope there are guns stored. What else can be down there? I'm trying not to think.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Dead bodies everywhere...lots of corpses. I found teeth marks on them. What the hell is this? It could be something horrifying..");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Something terrible is in the ship. I will use the barrels to hide if it tries to get me. In the dock should be a rescue module..");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: This scares me...darkness and emptiness. Almost nobody goes down there. Perhaps we should have long ago, we just did not know. Brrr ... I've got a bad feeling.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: The ship is seriously damaged, it's going to crash on the planet Exploited. I'd rather not take the risk that I will die in the ruins of this ship on an unknown planet..");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Whew! I'm in the module. I need to quickly get out of this horrific ship.");
}

function FixMap_02Village()
{
	SetTranslatorEventMessage("TranslatorEvent0", "...I went into the mysterious mountains north of the village where there are magical circles. The symbols show that the ring can be used to travel to other worlds. I'm going to try to find this circle.");
	SetTranslatorEventMessage("TranslatorEvent1", "Yesterday Kralls attacked us. We don't know where they came from or why. Most villagers fled to the nearby castle. We ask for your help. Find out where they came from and try to stop them. Good luck.");
	SetTranslatorEventMessage("TranslatorEvent2", "Welcome stranger. It's been eight days since I crashed. I was hurt pretty bad, I hope it will soon heal. I made a potion of Nali medicine crops.");
	SetTranslatorEventMessage("TranslatorEvent3", "My companion was at the rear of the machine. He was doing much better than I, recovering after only three days. The much talked about Tauri. I don't blame him for not wanting to live here.");
	SetTranslatorEventMessage("TranslatorEvent4", "Tauri heard about the mysterious circle. I showed him a secret book which is written about the it. He took and read through it in the evening. He told me they are using the circle to get to planet Exploited. The next day he went to look for the ring.");
	SetTranslatorEventMessage("TranslatorEvent5", "We expolored Chiriz Temple behind the village. We were there for about an hour. As we headed back one of us noticed a stranger running away to another exit. We did not talk about it. We can only guess what he was interested in.");
	SetTranslatorEventMessage("TranslatorEvent6", "4 August 2084 finally Baltar reached the planet Exploited. That's why I hid in the cargo bay module. I waited. About an hour later an alarm woke me. The ship has some problems. Then I hear someone enter the module and fly off with me in it!");
	SetTranslatorEventMessage("TranslatorEvent7", "I hope you get well soon. I'm fine and hope someone will see this. I remember the malfunctioning rescue module. Transportation companies typically buy cheapest modules. Absolutely terrible, 80% have problems! I'm lucky that I survived at all.");
	SetTranslatorEventMessage("TranslatorEvent8", "The tomb is more than 4000 years old.");
	SetTranslatorEventMessage("TranslatorEvent9", "Here lies Antiqus.");
	SetTranslatorEventMessage("TranslatorEvent10", "Lord Antiqus predicts that one day a mysterious machine will descend from the sky. In it is a stranger who will save this planet from enemies from another world.");
	SetTranslatorEventMessage("TranslatorEvent11", "It is clear the Kralls came from the mountains through the temple. Some of the village thinks that there is a kind of gateway.");
	SetTranslatorEventMessage("TranslatorEvent12", "A year ago, he visited our village named Paci. Lots of talk, guessing about the threat to the planet Exploited. Then he helped a little with the work. Now the boxes are level in my basement.");
	SetTranslatorEventMessage("TranslatorEvent13", "Yesterday Kralls attacked our village. They reached a gate that separates the village from the outside world. Unless help arrives they will break through the gate and scatter throughout the world. Madehiten is not prepared for such a thing.");
	SetTranslatorEventMessage("TranslatorEvent14", "Contents: Salty honey, Little Red Riding Hood, Hansel and Gretel, Dragon Head, the Hair of the Wise Grandfather, mugs, a UT2003 game! a little bit of vodka.");
	SetTranslatorEventMessage("TranslatorEvent15", "Hadan told me about what he saw in the mountains. He even knows where those people came from 13 years ago.");
	SetTranslatorEventMessage("TranslatorEvent16", "I remember yesterday's Krall attack. It was so fast that we almost failed to make any defense. After about half an hour we decided to leave the village, locking the entrances behind us.");
	SetTranslatorEventMessage("TranslatorEvent17", "Maybe it was a mistake that we did not build a stronghold in the mountains. Almost no one had any idea what is there. Perhaps he just guessed. He very often went to Chiris Temple.");
	SetTranslatorEventMessage("TranslatorEvent18", "Healing potion: Boil in water for about 20 minutes. Add 5 shredded Nali fruit sprouts, a liter of milk, pepper and salt. Mix the whole thing and cook for 10 minutes. Serve hot or cold.");
	SetTranslatorEventMessage("TranslatorEvent19", "My friend who lives alone in the mountains might know how to get to the planet Exploited. A year ago he warned me that they planned to do something. Our planet will be next. It seems that Exploited is now occupied.");
	SetTranslatorEventMessage("TranslatorEvent20", "If the Kralls conquer Madehiten it will be very bad. All enslaved for their dirty work. What's worse is they could attack our home planet. 150 years ago was attacked before. Could you help us find where the stranger fell a week ago?");
	SetTranslatorEventMessage("TranslatorEvent21", "After we left the village I still managed to lock the entrance to the temple so we could try to keep it safe.");
	SetTranslatorEventMessage("TranslatorEvent22", "Stranger if you want to help you should know that I hid the key to the children's rooms in the house opposite the pub. Also in the basement I have stashed weapons. That would help you.");
	SetTranslatorEventMessage("TranslatorEvent23", "I know from Hadan the people have a weapon. It definitely would help yet I do not know where it is. I think she hid somewhere in his basement.");
	SetTranslatorEventMessage("TranslatorEvent24", "We live here on Madehiten for 400 years and have never been attacked. Once I dreamed of a world where there is only hatred and fear. Where there are new races that only seek to conquer other planets. It seems my nightmares came true.");
	SetTranslatorEventMessage("TranslatorEvent25", "Nevada scientists dug 10 meters, finding copper wire 10,000 years old concluding America made a phone then. So Russians dug 30 meters in Siberia finding NOTHING. Soil was estimated at 30,000 years so they deduced Russia created phone then.");
	SetTranslatorEventMessage("TranslatorEvent26", "I remember our early years, the few times we met the inhabitants of other worlds. They were quite relaxed and friendly people.");
	SetTranslatorEventMessage("TranslatorEvent27", "This weapon I got from those people from the other world 25 years ago. I hope it will help but I hope you will never need to use it.");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: Where am I? What happened? My whole body hurts. Where was I taken? And who else is here?");
	SetTranslatorEventMessage("TranslatorEvent29", "My Log: Even though the gateway is fairly well sealed I'm afraid it will not last long. Should I defend it against the Krall? If they make it through this gate Madehiten will be devastated by the Krall...");
	SetTranslatorEventMessage("TranslatorEvent30", "My Log: Slowly starting to remember what happened. Traveled here on a ship that was ambushed by something. And I still remember how I crashed on the planet. I just hope that the local inhabitants are friendly.");
	SetTranslatorEventMessage("TranslatorEvent31", "My Log: Damn. There are Kralls. That race is hundreds of years old. They only enslave the inhabitants of the planet for their own convenience.");
	SetTranslatorEventMessage("TranslatorEvent32", "My Log: This is such a beautiful place. No planet inhabited by our people has such clean air and unspoiled scenery.");
	SetTranslatorEventMessage("TranslatorEvent33", "My Log: Hope I will find some equipment and weapons. We can not let the Krall enslave another planet.");
	SetTranslatorEventMessage("TranslatorEvent34", "My Log: Really nice country. Perhaps I can find some local residents.");
	SetTranslatorEventMessage("TranslatorEvent35", "My Log: Hey here is the children's room. It reminds me of my childhood times but we had no wooden dice just many Hi-tech robots and similar crap. I have not got time to play now. I have to find the key to the temple.");
	SetTranslatorEventMessage("TranslatorEvent36", "My Log: The local residents built no good escape routes. No wonder nobody escaped from the Kralls.");
	SetTranslatorEventMessage("TranslatorEvent37", "My Log: I guess it looks like I'm the only one who can defeat the Krall on Madehiten. I have to get to the temple and find the way to the mysterious mountains. I'm just wondering who attacked Exploited. I heard about them but I can not remember it all.");
	SetTranslatorEventMessage("TranslatorEvent38", "My Log: This gate is really strong. I doubt that it will fall easily.");
	SetTranslatorEventMessage("TranslatorEvent39", "My Log: Here is the entrance to the Temple, spoken about by everyone.");

	SetSpecialEventMessage("SpecialEvent0", "Eight days later");
	
	SetTriggerMessage("Trigger36","Locked");
	SetTriggerMessage("Trigger37","You found the key to the Chirzed temple");
}

function FixMap_03Temple()
{
	SetTranslatorEventMessage("TranslatorEvent0", "The Krall entered the mysterious mountains. There are lots of rumors about a mysterious ring. The only person who would know is the hermit house in the mountains just outside of the Temple.");
	SetTranslatorEventMessage("TranslatorEvent1", "I was captured in the attack on the village and brought here. In the next cell is an alien from another world. We talked through a hole in bricks. He wanted to warn us. They took him from his planet, another race conquered.");
	SetTranslatorEventMessage("TranslatorEvent2", "I managed to put up a lattice and prevent the enemies advancement. When I returned one Krall waited in surprise for me. I hope I can get out before you die.");
	SetTranslatorEventMessage("TranslatorEvent3", "Krall attacked us in the temple. I managed to get to here. I found the ASMD gun but it was a trap from which I was not able to escape. My death is approaching.");
	SetTranslatorEventMessage("TranslatorEvent4", "Our planet captured the Kralls using Skaarj. Now I'm going to Madehiten with my friends and warn Madehiten gatekeepers. I was captured. I hope that my buddy manages to warn them in time...");
	SetTranslatorEventMessage("TranslatorEvent5", "I stole this thing on the planet Taros. It's a kind of shield that protects you as long as the power holds out.");
	SetTranslatorEventMessage("TranslatorEvent6", "Be sanctified warrior! But even before you open your way to the mysterious mountains to the circle of the gods be therefore well prepared. The evil is powerful.");
	SetTranslatorEventMessage("TranslatorEvent7", "Once upon a time Paci sent us these little boxes. Inside are silver pancakes but we do not know what they are. He said maybe something about metal.");
	SetTranslatorEventMessage("TranslatorEvent39", "My Log: I finally visited the temple. Now I must find a way to get way up the mountain.");
	SetTranslatorEventMessage("TranslatorEvent40", "My Log: From this passage is the smell of death. It's certainly not friendly. Who knows what to expect there in the darkness.");
	SetTranslatorEventMessage("TranslatorEvent41", "My Log: I feel the dark forces. They penetrate through the rocky floor. I hear that eerie sound. The catacombs are dark and cold. I'm afraid!");
	SetTranslatorEventMessage("TranslatorEvent42", "My Log: I know that on earth there exists Satanism, which is the opposite of the first Christians. So here is something like that. It's probably not something good.");
	SetTranslatorEventMessage("TranslatorEvent43", "The locals created a special lock that is supposed to protect this planet from invasion, often defending from enemies of other worlds. It speaks something about the god's circle that can be activated only from the inside. It's made of 3 triangles.");
	SetTranslatorEventMessage("TranslatorEvent44", "My Log: Behind the door I hear scary sounds. I have no idea what they might be, horribly waiting for me.");
	SetTranslatorEventMessage("TranslatorEvent45", "My Log: The dark forces of this world penetrate this hellish tomb. I don't know to stop them. Radsi quickly disappeared before me cursing something.");
	SetTranslatorEventMessage("TranslatorEvent46", "My Log: This triangle will be some magical lock.");
	SetTranslatorEventMessage("TranslatorEvent47", "My Log: It looks like some sort of arena. I should be careful here. Hey what's there on the right? Let's go there.");
	SetTranslatorEventMessage("TranslatorEvent49", "My Log: So many bars.");
	SetTranslatorEventMessage("TranslatorEvent50", "My Log: The door won't open. There must be a secret key somewhere.");
	SetTranslatorEventMessage("TranslatorEvent51", "My Log: Something about the decorative bricks is strange. I'll check them.");
	SetTranslatorEventMessage("TranslatorEvent52", "My Log: So I'm at the door. I should be in the mountains in just a bit.");
	SetTranslatorEventMessage("TranslatorEvent53", "My Log: It's colder, I must be close to the exit.");
	SetTranslatorEventMessage("TranslatorEvent54", "My Log: A prison. Who knows whom the Krall put here. But I should look for something to open the second door.");
	SetTranslatorEventMessage("TranslatorEvent55", "My Log: During the time I was in the temple it quickly darkened. I should hurry in search of the secrets of the mountains.");

	SetSpecialEventMessage("SpecialEvent0", "Something tells me that I should save this new position in the game.");
	SetSpecialEventMessage("SpecialEvent7", "Damn it's a trap.");
	
	SetTriggerMessage("Trigger0","Red triangle activated");
	SetTriggerMessage("Trigger1","Green triangle activated");
	SetTriggerMessage("Trigger2","Blue triangle activated");
}

function FixMap_04Mountains()
{
	SetTranslatorEventMessage("TranslatorEvent0", "This is the second day Kralls come from the Mystic Spire. My friend Jadjis was guessing where they travelled from.");
	SetTranslatorEventMessage("TranslatorEvent1", "Here the 10th Old Mystic Spire has been silent for decades. 3 days ago I saw it turned on! The next day came the attack. This morning there were 2 people from the planet Exploited who wanted to warn us, so I went with them to the village.");
	SetTranslatorEventMessage("TranslatorEvent4", "Today I'm pretty tired. Rest for a while. Jadjis told me about the StarGate. He also taught me how to use it and gave me the location of planet Exploited.");
	SetTranslatorEventMessage("TranslatorEvent5", "It looks like Kralls were preparing to attack the nearby Skaarj. They currently have a secret base on the planet Exploited. Who knows what they are planning.");
	SetTranslatorEventMessage("TranslatorEvent56", "My Log: So I finally got up the mountain. I had no idea there were so many narrow cliffs. I'll have to walk carefully.");
	SetTranslatorEventMessage("TranslatorEvent57", "My Log: This is great! I can warm up a little from the temple which was quite cold.");
	SetTranslatorEventMessage("TranslatorEvent58", "My Log: There in the background is someone's house. Perhaps they will be friendly.");
	SetTranslatorEventMessage("TranslatorEvent59", "My Log: This is very cozy. I'll look around to see if I can find the owner.");
	SetTranslatorEventMessage("TranslatorEvent60", "My Log: Ugh, It's not a very pleasant feeling to see through planks to the depths below. My guess is it more than a kilometer down. I would not want to fall down there.");
	SetTranslatorEventMessage("TranslatorEvent61", "My Log: Some sort of storage I think? The tower cannot be very large.");
	SetTranslatorEventMessage("TranslatorEvent62", "My Log: I should have a look around for anything I might need.");
	SetTranslatorEventMessage("TranslatorEvent63", "My Log: Who the hell is that? Such people have never been seen here before...");
	SetTranslatorEventMessage("TranslatorEvent64", "My Log: Yet another bridge. It looks as solid as the first. And as high!");
	
	SetSpecialEventMessage("SpecialEvent0", "Jadjis: Welcome stranger. Hadan told me about you.");
	SetSpecialEventMessage("SpecialEvent1", "Jadjis: You know yesterday Kralls attacked us.");
	SetSpecialEventMessage("SpecialEvent2", "Jadjis: They still come from Mystic Spire.");
	SetSpecialEventMessage("SpecialEvent3", "Jadjis: You have to go there and fight your way to the StarGate.");
	SetSpecialEventMessage("SpecialEvent4", "Jadjis: Once there on the control panel you need to enter a destination.");
	SetSpecialEventMessage("SpecialEvent5", "Jadjis: Go to the planet Exploited, who currently are fighting a Krall invasion.");
	SetSpecialEventMessage("SpecialEvent6", "Jadjis Help the inhabitants to defeat them. Now go! Good luck.");
	SetSpecialEventMessage("SpecialEvent7", "Me: Thank you so much for the information. I'll do what I can.");
}

function FixMap_05Spire()
{
	SetTranslatorEventMessage("TranslatorEvent0", "Today we got to the village but shortly after the attack the Nali locked the entrance to the temple. We'll have to wait for help from our Brute allies.");
	SetTranslatorEventMessage("TranslatorEvent1", "400 years ago Exploited was mountainous and green. An asteroid impact destroyed most vegetation. In 2025 Taurici was settled for processing Taridia. In 2061 the enslaved population rose up. They renamed it from Taros to Exploited.");
	SetTranslatorEventMessage("TranslatorEvent2", "An officer told us that someone is killing the Krall. Chiriz village is back under Nali control. The officer needs help and likely wants to get to the planet Exploited to get to the gate where there are 20 elite Krall.");
	SetTranslatorEventMessage("TranslatorEvent3", "Shades is special. Days at a time he spends in his secret hiding spot in his room. I wonder what he is doing? I'd peek but I have no idea where it actually opens.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: This is the hidden Shaova workshop. He spends all his time painting images of strange people.");
	SetTranslatorEventMessage("TranslatorEvent6", "Weapons can be found in the ruins of the house near the gate. Perhaps they came from other world aliens. Why did they come here? Come to a planet on which there were few signs of habitation.");
	SetTranslatorEventMessage("TranslatorEvent7", "Theorius: 100 years ago the planet was rich in flora. So wonderful! We visited a year ago, it was a barren wasteland. Soulstone: I believe that it was once inhabited. Today there are only castles ruins and strange buildings.");
	SetTranslatorEventMessage("TranslatorEvent8", "Mythorus: A gloomy world. Was vegetated, today totally arid. There's a fortress which has hidden in it the seed of life. It brings dead back to life! On our visit we experimented on killed beetles. They eat everything that enters!");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Finally I got to the tower. Now I have to find the way the Krall got here. I think it will really be a StarGate as Jadjis said.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Senior teachings library. Perhaps I can find some information here.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: This passage is a way to the next floor. I hope I reach the gate soon.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: This hallway leads underground. I hope that there won't be demons of hell.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: Hey, there's the Stargate! First I must find out how to open these bars.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: The Stargate is guarded by many Krall. A rush attack will probably be suicidal. Perhaps attack from the ruins?");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: This road leads off into the mountains. It looks abandoned, like it's been around forever.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Another big library. I'll look for more information.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Prisoners garden. Upstairs there might be something to open the door at the bottom.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: This looks like a model of the planet Madehiten with it's two moons.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: So now I can go to the planet Exploited. I wonder what it will look like.");

	SetSpecialEventMessage("SpecialEvent8", "Nali: Stranger you MUST help us.");
	SetSpecialEventMessage("SpecialEvent9", "Nali: Kralls come here from plundering and bring Brutes with them.");
	SetSpecialEventMessage("SpecialEvent10", "Nali: You must get to the gate and stop them.");
	SetSpecialEventMessage("SpecialEvent11", "Nali: We have seen the gate, you must beware! It's watched by nearly 15 Krall.");
	SetSpecialEventMessage("SpecialEvent12", "Nali: Near the rubble there is still plenty of ammunition. Good luck.");
	SetSpecialEventMessage("SpecialEvent13", "Me: Thanks for the information, I think it will be very tough fight.");
	SetSpecialEventMessage("SpecialEvent14", "Nali: Good luck.");
	
	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "06Streets#");
	}
}

function FixMap_06Streets()
{
	SetTranslatorEventMessage("TranslatorEvent0", "Again yesterday someone tried to break into the warehouse. We have to be very alert, particularly now as we can not afford to let the Krall get to the supplies.");
	SetTranslatorEventMessage("TranslatorEvent1", "When the Krall attacked Exploited we had to really guard our warehouse. Even though we did sometimes some of them got in to steal Taridium.");
	SetTranslatorEventMessage("TranslatorEvent2", "Already we have fought with the Krall for 8 long months. Unfortunately it seems that we might not win so my friend hid the keys to his house.");
	SetTranslatorEventMessage("TranslatorEvent3", "Our gang in the sewers lost to those damned Kralls. Most of us were captured. I managed to escape and hide the key from the sewers over the bar.");
	SetTranslatorEventMessage("TranslatorEvent4", "For years I was interested to learn how to operate the circle. I tried the symbols but nothing happened. One day I noticed Kralls come to the ring. One of them came up, punched the symbols and 7 gate opened. Then Kralls entered the gate.");
	SetTranslatorEventMessage("TranslatorEvent5", "I recently learned the Kralls want to band together with the Skaarj. It made me so angry that the Kralls are in league with the beasts!");
	SetTranslatorEventMessage("TranslatorEvent6", "Finally I managed to get to Exploited. It was taken over by Krall so now I'm going to Madehiten. One punker let me live with them that I met at the StarGate. We went together to Madehiten.");
	SetTranslatorEventMessage("TranslatorEvent7", "Kralls beat our gang, most of us were captured. I hid and watched. They were taken to Skaarj base. It's almost impossible to get in. It's guarded by Krall and the Skaarj beasts. Before I could think of a plan I saw a Krall boat cast away");
	SetTranslatorEventMessage("TranslatorEvent8", "Almost a year passed before Exploited was conquered, Local punks fought to the last blood drop. Now they ready an attack on Madehiten. Conquering it will be as easy as taking a child's chocolates. They have only medieval weapons.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Wow, it's amazing I can operate the gate. I look around me here not knowing what to expect then enter the proper console commands.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: It's awfully hot. It seems this planet is of volcanic origin, but you can see that someone is living there. The city is remarkably similar to the old gangsters of the 20th century. Be careful of the local residents and Kralls too.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Classical constables stock. Nowadays it's rare. In the store I'll find some good equipment. Since this is an enormous base of two hostile races, I don't even know what I'm dealing with. I need to find some guns.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Hmm..Looks like someone was bored and dumped some of the rock barrels out.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Exactly as I expected, there is some gear here to help me out.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: This must be the caretakers room. Nice to have sat in such a comfortable couch. What else would you expect? Earth, Mars, Exploited, it's all the same. I have the keys to the house and still can't find where the men went.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: On this planet Krall tech is much more advanced than I expected. Continue down the street would be too dangerous, I'll try to find another safer way.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: I'looking for living quarters. Someone is supposed to be hiding a key for the sewers.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Yuck. Toilet smells horrible. How can anyone stand this?");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Not a good cabling job. It should be done another way.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Having a bar in the basement is a good idea. On Earth I spent a lot of Sundays in a place like this.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: Nearly empty warehouse. There's pretty interesting pictures, whatever they are.");
	SetTranslatorEventMessage("TranslatorEvent21", "Save your soul, Do not be condemned to the depths of hell. Avoid gratuitous hatred and avarice or you'll be demon damned. Mythology Alliance members against demons: Azgard, Nox, Mythorov, God Spirit, Soulmindi.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: The punk must live here. On the table is a lot of punk music CDs.");
	SetTranslatorEventMessage("TranslatorEvent23", "Last night I heard a terrible sound in the apartment next door. I do not have the courage to go there. Neighbors say it's haunted.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: Dark forces are on the rise. I thought it was only in the Temple on Madehiten. I think it's going to be global.");
	SetTranslatorEventMessage("TranslatorEvent25", "My Log: I have a strange feeling again, as if there were dark forces somewhere. I can feel it coming from the apartment on the left.");
	SetTranslatorEventMessage("TranslatorEvent26", "My Log: This won't play another episode of American Idol...");

	SetSpecialEventMessage("SpecialEvent0", "Population: You are near a Skaarj base.");
	SetSpecialEventMessage("SpecialEvent1", "Population: go through the sewers and factories and interfere with their alliance when you can.");
	SetSpecialEventMessage("SpecialEvent2", "Population: The Krall want to join with the Skaarj.");
	SetSpecialEventMessage("SpecialEvent3", "Population: Good luck.");
	SetSpecialEventMessage("SpecialEvent4", "Population: Stranger! Welcome! Where did you come from?");
	SetSpecialEventMessage("SpecialEvent5", "Population: Great! I really need your help.");
	SetSpecialEventMessage("SpecialEvent6", "I come from Madehiten. I drove all the Krall out.");
	SetSpecialEventMessage("SpecialEvent7", "I'll help. What should I do?");
	
	SetTriggerMessage("Trigger1","Locked");
	SetTriggerMessage("Trigger2","You found a key to the house");
	SetTriggerMessage("Trigger4","You found a key to the sewers");
	SetTriggerMessage("Trigger5","Locked");
}

function FixMap_07Sewers()
{
	SetTranslatorEventMessage("TranslatorEvent0", "The Kralls found our hiding place but Kamos and I managed to get away. Those damn Krall followed us and hurt me. I cannot continue on, my death is approaching.");
	SetTranslatorEventMessage("TranslatorEvent1", "Our planet is occupied by Krall. We must prepare to defend our hiding place. One of us spied on the enemy base and found that the Krall help Skaarj, transporting prisoners from the base to the planet Naqadaho to work in the mines.");
	SetTranslatorEventMessage("TranslatorEvent2", "We are running low on ammo so we went to the factories where we found something strange...There stood a large base guarded by some alien race. We saw the tip of a pyramid inside. Maybe that's where they are landing the alien ship.");
	SetTranslatorEventMessage("TranslatorEvent3", "1) Long ago this planet was rich in life. Many trees, shrubs, and animal species. In 1438 Nali came to this planet. Because it was good for them they built many towns and villages.");
	SetTranslatorEventMessage("TranslatorEvent4", "2) In 1502 there appeared a great asteroid Taridia, which was mined to power the starships. This planet was then named Taros.");
	SetTranslatorEventMessage("TranslatorEvent5", "3) Nali lived for many years in peace and tranquility. In 1786, the meteor hit Taros and destroyed all living things leaving the planet covered in crags and lava fields. Fortunately Nali left Taros in time.");
	SetTranslatorEventMessage("TranslatorEvent6", "4) In 2019 Taros Tauriici appeared. A probe found much Taridia (used mainly for military purposes then). In 2025 the city built the first factory and began mining. Many refineries were built and Taridium was brought from other planets.");
	SetTranslatorEventMessage("TranslatorEvent7", "5) in 2056 over 500000 Tauriians worked on Taros. Then a cruel totalitarian regime began to dominate and gradually gained strength. People were worked 16 hours daily with many things banned or prohibited.");
	SetTranslatorEventMessage("TranslatorEvent8", "6) In 2058 element 'Naqadah' use spread. Taridia declined, factories closed. In 2061 Taros opted to process Naqahdah, retrofitting it's factories. Workers revolted in 2081, beating the regime. A new factory was built for Naqadah on planet Sirius.");
	SetTranslatorEventMessage("TranslatorEvent9", "7) Since the regime's end on Taros the planet was renamed Exploited by old punk bands. It's been relative calm since then.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Tedkon I'm in the sewers. It will be very difficult to find Skaarj base, I don't even have an idea. Follow your nose and hope that you will find some clues. I fear the sewers because I think the demons of hell are real.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: I will never move these, could we try to find another way?");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: There is a safehouse. You might find some clues.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Unfortunately, there are no survivors. At least there was some weapons. It looks like a 4 barrel shotgun... It will surely come in handy.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: It's some punk gang hideout. I hope that someone survived. Only someone local would be able to tell me exactly where the base is. I only have a general idea.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: These sewers are too big. I could wander a whole day and not find anything.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: Something tells me this is not the way.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Dead end...what's that on the other wall...");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: I see deep cracks on the wall. It seems that there is something...");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Old ruins. I'll bet this looked completely different once upon a time.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: Old temple. Probably the former city center.");
	SetTranslatorEventMessage("TranslatorEvent27", "My Log: Where did this CAR Rifle come from? I thought only the earth Marines used it. The Thought Police had these? Oh my...");
}

function FixMap_08StellTown()
{
	SetTranslatorEventMessage("TranslatorEvent0", "I met one of the punks. He said that this planet could become a Skaarj target.");
	SetTranslatorEventMessage("TranslatorEvent1", "Again we have someone who has stolen Taridium. Over the past year that's nearly 1,320 thefts. Since building the base this has been the only problem.");
	SetTranslatorEventMessage("TranslatorEvent2", "This taridium theft must be from those Kralls and Skaarj. In our world we do not steal from each other. I do not why, we just don't. Over the years we managed to create a pretty decent system of government of the people.");
	SetTranslatorEventMessage("TranslatorEvent3", "Madehiten is full of vegetation and for the past 400 years is inhabited by the Nali, who live here in peace. They appreciate this planet. Madehiten people are reportedly going to be sent to Naqadah mines.");
	SetTranslatorEventMessage("TranslatorEvent4", "Our spies snuck into the base yesterday. They found out something terrifying. They are working with the Skaarj and plan to also band together with Brutes. They're going to enslave us to work in the Naqadah mines!");
	SetTranslatorEventMessage("TranslatorEvent5", "It's interesting that the enemy race came here so quickly after the expulsion of the regime. The would have no interest if it weren't for the mining.");
	SetTranslatorEventMessage("TranslatorEvent7", "I summoned all the punks and went to the base. But we had nothing that could stand against the Krall. There's nothing to do but wait for a miracle. At least Punk is not dead.");
	SetTranslatorEventMessage("TranslatorEvent8", "One punker told me here a week ago there was a crashed ship. Her name I think was Baltar. In the wreckage was the record of the escape pod that crashed on Madehiten. They were there long ago and became friends with the locals.");
	SetTranslatorEventMessage("TranslatorEvent9", "15 Feb 2084 After a long absence we visited Madehiten. Sadly we found out that we will not be able to help. They only have medieval weapons and most are decorations. Nali are a peaceful nation, like the Nox.");
	SetTranslatorEventMessage("TranslatorEvent10", "A pal of mine once told me of a mysterious network of Stargates. One is here to use but none know how. To use it you must enter the 7 symbols. Sadly we've read almost all the manual and nothing. Some know a few symbols but it's not enough.");
	SetTranslatorEventMessage("TranslatorEvent11", "The sensors picked up the Stargate opening an hour ago. One object passed through went to the base.");
	SetTranslatorEventMessage("TranslatorEvent12", "The ship Tau'riuc crashed 9 days ago about 12 miles east of the base. Cause of accident: Unknown.");
	SetTranslatorEventMessage("TranslatorEvent13", "The Krall are only watching the StarGate. Now a stranger has arrived to help the punks liberate the planet. When they find out the Krall leaders will be furious.");
	SetTranslatorEventMessage("TranslatorEvent14", "A while ago an alliance succeeded between the Krall and Skaarj. For now, they gather thier forces here and plan to attack Sirius soon. They seek the large Naqadah deposits");
	SetTranslatorEventMessage("TranslatorEvent15", "The computer is connected to planet Krall. His screen name is Haros and I see his location! I can use this with the stargate.");
	SetTranslatorEventMessage("TranslatorEvent16", "The mission to Madehiten goes according to plan. Tomorrow we should break the defense and the rest should be under control within the week.");
	SetTranslatorEventMessage("TranslatorEvent17", "Haros writes: We got prisoners then divided them to work in the mines at Madehiten and Sirius. On the way we lost several ships near Madehiten. The local residents would not be able to harm our vessels. There must be something worse.");
	SetTranslatorEventMessage("TranslatorEvent18", "We captured a Tauri ship. I ordered a survey of it and everything important was transported to the laboratory for ANALYSIS.");
	SetTranslatorEventMessage("TranslatorEvent19", "The terminal reads 'Zdegramotnizace disk'. I know this name...It's a Paci virus that can destroy the computer!");
	SetTranslatorEventMessage("TranslatorEvent20", "The moment I tried the computer a message suddenly appeared: 'This program has performed an illegal operation and will be shut down.' GRRRR! Dammit Windows! In fury I bang the keyboard!");
	SetTranslatorEventMessage("TranslatorEvent21", "There is a screen for UNREAL 3, but it's stuck somehow and won't load. CTR + ALT + DELETE, and ... nothing. RESET not functioning. Nothing works. Perhaps I'll try hammer blows to the CPU...");
	SetTranslatorEventMessage("TranslatorEvent22", "Finally it's rebooting...Windows is starting......ERROR! A file is missing? ... There's a very long list of missing files, then nothing. The screen goes black.");
	SetTranslatorEventMessage("TranslatorEvent23", "This computer is Formatting..Time remaining: 245 days 15 hours 21 minutes. Well, I'm not waiting.");
	SetTranslatorEventMessage("TranslatorEvent24", "Hey here is a StarGate map onscreen so let's see what it is. I wait for a minute for it to reset. Then again it is the virus Win32 / Blaster. Oh my.");
	SetTranslatorEventMessage("TranslatorEvent25", "Here is the full version of the game UNREAL-STARGATE so I try to copy it with the program 'Nero'. A fire starts inside the terminal and suddenly jumps out at me: Catastrophic failure! FUCK! I bang furiously on the keyboard.");
	SetTranslatorEventMessage("TranslatorEvent26", "I searched the computer's hard drive. Suddenly it read: FATAL ERROR! I smashed the keyboard with my fist I was so angry.");
	SetTranslatorEventMessage("TranslatorEvent27", "I tried to find out the base's defenses but was hurt badly by a Brute. They have something big planned for the 5th, I wonder what it is?");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: I successfully got to the surface but I do not know in what district of the city I'm in. Time for a little stroll to look around.");
	SetTranslatorEventMessage("TranslatorEvent29", "My Log: The entrance is blocked. Perhaps it was fortified on purpose. I'll try to find another way.");
	SetTranslatorEventMessage("TranslatorEvent30", "My Log: Steel Plant. This industrial area means I can't be far away.");
	SetTranslatorEventMessage("TranslatorEvent31", "My Log: Doors are locked. This way just won't work.");
	SetTranslatorEventMessage("TranslatorEvent32", "My Log: It seems that even here there are no survivors. I can only hope that I manage to find someone.");
	SetTranslatorEventMessage("TranslatorEvent33", "My Log: Must be a gallery of local residents. I saw as I was reading the book Tam wrote that punk was once on Earth. Today, the government would not tolerate it. Apparently there were punks long before the war.");
	SetTranslatorEventMessage("TranslatorEvent34", "My Log: I have noticed this factory was built to be defended. From here it goes on only one way.");
	SetTranslatorEventMessage("TranslatorEvent35", "My Log: That part of town was barricaded on both sides. The doors were closed and the entrances blocked. It seems though that somehow the barricade was defeated.");
	SetTranslatorEventMessage("TranslatorEvent36", "My Log: The last stand. It looked like a terrible fight. Unfortunately, no one survived. It's just me now.");
	SetTranslatorEventMessage("TranslatorEvent37", "My Log: Hmmmm. So Paci was definitely here :-) otherwise I would never see this. Books are his calling card.");
	SetTranslatorEventMessage("TranslatorEvent38", "My Log: Looks like a picture storage. I know almost nothing about the punks. Since I was born during the war when many were killed, we know almost nothing about their ideas.");
	SetTranslatorEventMessage("TranslatorEvent39", "My Log: I'm finally at the entrance. Now things get a lot tougher. I doubt they just let anyone in.");
	SetTranslatorEventMessage("TranslatorEvent40", "My Log: An interesting mix of architecture. But why pyramids in the middle of the city? Is it for landing the spacecraft from the StarGate? I'm not going to wait to find out.");
	SetTranslatorEventMessage("TranslatorEvent41", "My Log: Hey, computer terminals. Let's take a look.");
	SetTranslatorEventMessage("TranslatorEvent42", "My Log: The base is very small. There must be something important to keep in this pyramid. It was the most protected part of the base.");

	SetSpecialEventMessage("SpecialEvent7", "The door to the pyramids is open.");
}

function FixMap_09Underground()
{
	SetTranslatorEventMessage("TranslatorEvent0", "Research on improved version of Skaarj continues according to plan. Mass production calculated to be available in about 13 days.");
	SetTranslatorEventMessage("TranslatorEvent1", "Genetically modified Skaarj: Currently unfinished. There are three prototypes. Improvements are: + 25% resistance +15% Damage and + 10% speed.");
	SetTranslatorEventMessage("TranslatorEvent2", "Research continues without any major problems. At the current rate we could attack Sirius in 21 days. Mercenaries currently occupy the local naquadah mines there. We should take it easily.");
	SetTranslatorEventMessage("TranslatorEvent3", "This all started when punks found the ship Baltar and explored it. They found worthless junk and some damned pupae. They took them to the labs to find out how to defend against them since they had destroyed dozens of ships.");
	SetTranslatorEventMessage("TranslatorEvent4", "For 9 days pupae were tested. But they were able to escape the containers and infested the entire laboratory. We were forced out. We can not risk further contamination! So we installed a self-destruct system that starts if you open labs.");
	SetTranslatorEventMessage("TranslatorEvent6", "There is a lot of information about the new Skaarj prototypes, the forthcoming attack on Sirius. They will be a plague on the laborers like the pupae!");
	SetTranslatorEventMessage("TranslatorEvent7", "Another bunch of data about the Skaarj plan. About successfully resupplying etc..");
	SetTranslatorEventMessage("TranslatorEvent8", "Here is some info on two other planets and even their locations. Haros: Kralls home planet. Sirius: The volcanic planet with huge naqahdah deposits. It is inhabited by Mercenaries, enemies of the Skaarj.");
	SetTranslatorEventMessage("TranslatorEvent9", "Info about Exploit: Planet nearly conquered. Then there's something about punks who the Skaarj and Kralls took somewhere in the prison. Then they will be used as slave labor on Sirius to mine naqahdah.");
	SetTranslatorEventMessage("TranslatorEvent10", "Latest news: 1) Madehiten was lost and so we lost a year's work. 2) Exploit was lost too. Local punks rebelled and successfully recovered the whole planet because Krall left an unguarded gate. 3) Krall stature fell by 30%, Skaarj 20%.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Ah, so here's depository for the Skaarj and Kralls loot they took while raiding. Perhaps I could find the control access to the labs.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Prison. Only a few dead bodies, already starting to rot.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: This is the main computer. It should contain all the information, including the controls I need.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: Here is getting very warm? The lights don't seem to work either.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: This is humid too. It's a Pupae nest...Better go as quickly as possible.");
	SetTranslatorEventMessage("TranslatorEvent18", "I found some info here about the Skaarj queen. She is somewhere in the Starym gorge dungeon, about 2.5 km from the lab. She is a major asset to them so to kill her would be a pretty big loss for the Skaarj.");
	SetTranslatorEventMessage("TranslatorEvent43", "My Log: So this is hidden here. The Skaarj base is underground, probably so it could be easily defended.");
	SetTranslatorEventMessage("TranslatorEvent44", "My Log: I can hear the sounds of hell demons. Now I'm really afraid of what might be waiting for me there.");

	SetSpecialEventMessage("SpecialEvent8", "Laboratory security protocol enabled. Base destruction countdown started. WARNING: The entire crew must evacuate immediately!");
	SetSpecialEventMessage("SpecialEvent9", "The rings have stopped. Please use the door to exit.");
	SetSpecialEventMessage("SpecialEvent10", "Depot open. OK...");
	SetSpecialEventMessage("SpecialEvent11", "Laboratory open. Use caution!");
	SetSpecialEventMessage("SpecialEvent12", "FORMAT C:...");
	SetSpecialEventMessage("SpecialEvent13", "Formatting: 0% ... 1% ....");
	
	SetTriggerMessage("Trigger34","Access to the station granted");
}

function FixMap_10Queen()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: There was an explosion. The whole base is completely destroyed along with the Skaarj and pupae. Now I must still find the queen and that will be everything on the planet.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: An old underground dungeon. Probably from the time when the Nali lived here. Perhaps I will learn more.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: This corridor looks important. This door here is insulated from the cold. Probably upgraded over the years to avoid any drafts.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Underground harbor. This ship must be how I go further. The water here must be some sort of cistern. Hopefully it leads to the queen.");
	SetTranslatorEventMessage("TranslatorEvent4", "The situation is desperate. Taros has many meteorites in orbit. Using the Stargate is risky but I have to try. My only hope to get to the ancient palace through this canyon.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: This aqueduct looks like it was once on the surface. It was probably asteroid impact that changed things.");
	SetTranslatorEventMessage("TranslatorEvent6", "Taros endures bad times. In the 18th century a meteor crash destroyed life here. At the end of 21 century Nali will come here and renew life.");
	SetTranslatorEventMessage("TranslatorEvent7", "A full week of asteroid impacts. Surface cities destroyed. Most of us saved, they managed to get to the Stargate on time. We may be protected now under the mountain we will run out of food. It's risky but this gorge is some protection.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: I feel as if I was not in on the plan to destroy the asteroid. This gorge is still alive.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Main temple. The Queen Skaarj will be close now. This planet will see a great day of liberation.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: So that's it. The Skaarj Queen is dead. Skaarj days on this planet are numbered and the alliance between Skaarj and Kralls is definitely in trouble.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Now I just need to get to the gate. Perhaps I can tell someone on the surface about the Queen.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: So I have two locations of other planets: Haros and Sirius. Sirius is full of Skaarj. It will not be wise to go there since they are still strong.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Haros: Krall planet. Perhaps if I can cause heavy losses. Then they would be easy prey for other races and gradually disappear. Skaarj and Mercenary don't pose as bad a threat.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Wow this is the warehouse at the gate! At least I will not have to wander around all day looking.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: I Enter Haros location and get ready to go. I wonder what the planet looks like. I hope it will not be as hot as Exploited, that was unbearable.");

	SetSpecialEventMessage("SpecialEvent10", "Population: Thanks for helping us with the Kralls and Skaarj.");
	SetSpecialEventMessage("SpecialEvent11", "Me: It was nothing. I'm looking for the queen here.");
	SetSpecialEventMessage("SpecialEvent12", "Population: What? They have a queen here!?");
	SetSpecialEventMessage("SpecialEvent13", "Me: I was surprised too when I learned it from the base computer.");
	SetSpecialEventMessage("SpecialEvent14", "Population: If you kill her where will you go then?");
	SetSpecialEventMessage("SpecialEvent15", "Me: To Haros, Krall's home planet.");
	SetSpecialEventMessage("SpecialEvent16", "Population: Well we will clean up the remaining enemies left behind after you fight her. Good luck friend!");
	SetSpecialEventMessage("SpecialEvent17", "Me: Oh, Here's the location of Madehiten. Please go help the Nali. See you later.");
	
	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "11Village#");
	}
}

function FixMap_11Village()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So this is planet Haros, Krall home. Why is the gate unguarded? It's really gorgeous and lush. I see towering mountains covered with ice. It's quite cool.");
	SetTranslatorEventMessage("TranslatorEvent1", "After the invasion of Madehiten some of us went to Exploited to join with them and destroy the Krall. We took a village here on Haros but soon Krall beat us back. Some of us managed to hide in the church and locked both doors.");
	SetTranslatorEventMessage("TranslatorEvent2", "Mr. Paci: Paci has an interesting gift. He is highly intelligent and well respected. He is also a heavy metal musician.");
	SetTranslatorEventMessage("TranslatorEvent3", "I managed to lock the church up and throw the key into a house. I hope this helps. There are hundreds of Krall outside so I ran here to hide.");
	SetTranslatorEventMessage("TranslatorEvent4", "They drove us back to the gate but we fortified and tried to fight them back.");
	SetTranslatorEventMessage("TranslatorEvent5", "The situation has gone bad. Occupy Madehiten failed. We even lost Exploited and the important alliance with Skaarj is lost forever. We retain only our home planet Haros.");
	SetTranslatorEventMessage("TranslatorEvent6", "We will soon need the help of our allies the Brutes. They inhabit the planet Pharao but we can't contact them. The library where the location was stored burned and no one remembers.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: I hope that some of the people who were there survived.");
	SetTranslatorEventMessage("TranslatorEvent8", "It says capital city Machellopolis is located about 10km from here. Then it mentions catacombs beneath. An entire system of tunnels that lead into the surrounding buildings.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: No one is here. I need to find the secret door. There could perhaps be a survivor there.");
	SetTranslatorEventMessage("TranslatorEvent10", "Sadly most of us were killed. A few survivors are trapped in the church. At least we've found a Flakcannon. Sid says that there is a secret exit. I need to find it.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: I remember in the church was a secret entrance. If there is one it will be right here.");
	SetTranslatorEventMessage("TranslatorEvent12", "The planet is mostly occupied by Krall. We managed to get here from Haros, but Kralls attacked us strongly. I hope that we manage to get away.");

	SetTriggerMessage("Trigger4","Locked");
	SetTriggerMessage("Trigger5","Found the first church key");
	SetTriggerMessage("Trigger6","Found the second church key");
	SetTriggerMessage("Trigger7","Locked");
}

function FixMap_12ColdPassage()
{
	SetTranslatorEventMessage("TranslatorEvent0", "Hi! :-) This secret was added by Leo(T.C.K.) by request of Rarsonic once, as you can see this is the unfinished barrier area, now here I've got some enhanced shieldbelt for ya.");
	SetTranslatorEventMessage("TranslatorEvent1", "Day 3 on Haros. We hid here, don't know if there is food. In the books there is a lot of references to the vast network of catacombs. At night I hear scary sounds. The catacombs must be really scary.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: I opened the entrance to the catacombs. It smelled musty and cold. From what I've read so far they are extensive. Who knows what horror I'll find.");
	SetTranslatorEventMessage("TranslatorEvent3", "There are two questions left on this exam. I'll try to answer them myself. Well, of course I'm a moron:-) But they have 92% right so far so it's good.");
	SetTranslatorEventMessage("TranslatorEvent4", "What is this monster? This kind of hellish demon I have never seen before!");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: From this well comes cold air and the smell of death. Who knows what's down there in the darkness...");
	SetTranslatorEventMessage("TranslatorEvent6", "This was the royal counselor Arthandas that fell after a long illness.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Stairs to the basement it seems. I really don't want to go deeper into the dark catacombs. I have no idea what is waiting for me down there.");
	SetTranslatorEventMessage("TranslatorEvent8", "We thought that this is our end, but luckily Duncan found the secret entrance to the catacombs. What we found surpassed our worst dreams. Hell's demons were everywhere and our group is doomed, no hope left.");
	SetTranslatorEventMessage("TranslatorEvent9", "We are lost in the catacombs, who knows where to go. I got to here...and a crypt full of undead Skaarj. I wonder what caused all this...but I'll never find out...I'm dying.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Looks like some kind of royal crypt, but I'd rather not open it. I could find someone infected.");
	SetTranslatorEventMessage("TranslatorEvent11", "Much of the population of Haros is infected by some Black Plague and slowly dying.");
	SetTranslatorEventMessage("TranslatorEvent12", "Infection came thru a stargate but could have started on several planets. The whole universe is now seeing some black plague. We do not know who made it. We do not have a cure.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: 1) I read many books. 45 years ago the plague spread. A 'time of darkness' which men don't discuss. A 3rd world war broke out, mankind almost died. Since then Earth has been a harsh dictatorship. But it's hazy, I was very young.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: 2) In this book is a description of how the epidemic spread. Many races affected but humans appear immune to the plague. It says the Earth Stargate has been used for 100 years if not more.");
	SetTranslatorEventMessage("TranslatorEvent15", "For years we did not know what the ring was. One day it activated and people came here from another world. They said it was planet Earth.");
	SetTranslatorEventMessage("TranslatorEvent16", "I searched a few books and found something about Haros underground. The corridors lead to every city and building. Hopefully I get to the nearest town. I need help.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: This gate is too heavy for me. No matter I do not see anything there.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Some sort of magical barrier blocking my way. I have no idea how to overcome it.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Underground library, perhaps there is some good information.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: door won't open. Something blocking from the other side. Perhaps the demons of hell were here a long time ago and local residents barricaded the entrances to the underground.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: I found something interesting here. According to this book Skaarj attacked Haros 30 years ago. A plague infected Skaarj then forced them to leave. However some were cursed and kept the form.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: Slowly I'm getting used to the smell of death, but this passage is the strongest smell that I've come across.");
	SetTranslatorEventMessage("TranslatorEvent23", "My Log: Here ends the underground. The catacombs are extensive and most of the way is blocked. I hope I can find a secret entrance somewhere or I will not be returning to the surface.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: Huge tombs and crypts. Everywhere is the smell of dead bodies and rotting flesh.");
	SetTranslatorEventMessage("TranslatorEvent25", "My log: path away is blocked. I'll have to find another way.");
	SetTranslatorEventMessage("TranslatorEvent26", "My Log: Glowing mushrooms?");
	SetTranslatorEventMessage("TranslatorEvent27", "My Log: These tunnels apparently are not natural.");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: Where am I?");
	SetTranslatorEventMessage("TranslatorEvent29", "My Log: Fresh air blows up this corridor. I hope it leads to the surface.");
	SetTranslatorEventMessage("TranslatorEvent30", "My Log: I wish I knew where I was. I need to get to the surface as fast as possible and try to get into the city of Machellopolis.");

	SetSpecialEventMessage("SpecialEvent0", "Me: Hello! Is anybody there?");
}

function FixMap_13Cemetery()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Finally I'm out of that cursed ground. Where am I now? I can see the cemetery and church. Could this be Machellopolis City?");
	SetTranslatorEventMessage("TranslatorEvent1", "Mikulas Martk 8.4 1918 - 25.9 He died in 2078 in the lab. He was nicknamed the crazy robot:-)");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: There must be some other entrance. Should I try another way? I don't know...");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Great, more tunnels under the cemetery and around the church. I hope I find my way easily. I don't want to get lost again underground.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Eightball will come in handy!");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Nali shrine. Nali certainly lived here. Unfortunately, they became extinct here.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: It seems this place is a complex system of underground tunnels and cellars.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: This looks like it does not move. I'll try another way.");
	SetTranslatorEventMessage("TranslatorEvent9", "Here lies Damariel Rodi 01.15 1889 - 28.2 He died of the plague in 1985");

	SetTriggerMessage("Trigger8","The door is locked from the inside");
}

function FixMap_14OldQuarter()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: I'm in the tunnels below city center. I need to kill the Krall leader at thier castle so their population will decline rapidly. I have almost no ammo. I'll have to look for some.");
	SetTranslatorEventMessage("TranslatorEvent1", "'Two Kralls' Pub and Guesthouse");
	SetTranslatorEventMessage("TranslatorEvent2", "In this book it talks about the huge viral epidemic around the year 2039 that affected Haros. Most of the local population died. Then something about Krall. Around 2035 seen on Haros.");
	SetTranslatorEventMessage("TranslatorEvent3", "Krall lately suffered a great defeat, failing to take Madehiten and yet we lost Exploited. We suspect that during this a man came to our planet through the gate.");
	SetTranslatorEventMessage("TranslatorEvent4", "We need to find out who built the vast underground network of tunnels beneath Haros and how old it is. Is it cursed? Few emerge from it alive. Survivors told of hellish undead and demons. No one knows how it got there.");
	SetTranslatorEventMessage("TranslatorEvent5", "Machellopolis is a large city with many abandoned houses. Krall prefer to not go in them. They think the houses are haunted by demons from hell.");
	SetTranslatorEventMessage("TranslatorEvent6", "Peymala Shop");
	SetTranslatorEventMessage("TranslatorEvent7", "Paramita's Store");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Door is rusted shut. I feel like what is in that house isn't good.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Some doors are locked. I hope that someone in the neighborhood will have a key.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Here is the storage key! To the warehouse...");
	SetTranslatorEventMessage("TranslatorEvent11", "Baliova Workshop");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Perhaps this way goes to the castle. Now I just need to find out how to open this.");
	SetTranslatorEventMessage("TranslatorEvent13", "At night I'm woken up often. I think the house next door is haunted. I often hear strange noises from there even though for years no one was living there.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: This house is really scary. It's dark and cold. Are there demons here?");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: In the floor is a large hole. Good thing I noticed it otherwise an unpleasant fall would be waiting for me.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: In this house there's just a little broken furniture.");
	SetTranslatorEventMessage("TranslatorEvent17", "This way probably will not work. I need to try somewhere else.");
	SetTranslatorEventMessage("TranslatorEvent18", "I managed to get this far. The town is full of Krall but it's the only way besides the underground. I really don't want to go there. I fear the rumors about demons.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: This way it will not work. This gate doesn't open.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: This isn't the way either. Maybe it's better that it was sealed shut. Demons would be able to get into the city if it wasn't.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: These bars serve as a protection against demons getting into the city.");
	SetTranslatorEventMessage("TranslatorEvent22", "Members: Oscar Dronjak: Born Jan 20 1972 in Motndal, Gothenburg. Attended university for archeology, Greek, Roman history. Began guitar at 14 and founded The Hippie Killers then Striker. Mainly heavy metal covers with some of his own songs.");
	SetTranslatorEventMessage("TranslatorEvent23", "Some books I cannot read. They look like storybooks with few pictures. Novels maybe?");
	SetTranslatorEventMessage("TranslatorEvent25", "My Log: Interesting stacked barrels. Paci was here:-)");
	SetTranslatorEventMessage("TranslatorEvent26", "The neighborhoods tend to be quiet at night, making it hard to spy on the Krall. There is a hidden area with a lever to the local library.");
	SetTranslatorEventMessage("TranslatorEvent27", "Somarose Pub");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: Perhaps it's the lever that opens the caastle door.");
	SetTranslatorEventMessage("TranslatorEvent29", "The Krall castle is just to the north. Follow the path leading through the old suburbs.");
	SetTranslatorEventMessage("TranslatorEvent30", "My Log: During that time it was much colder, almost't starting to freeze.");
	SetTranslatorEventMessage("TranslatorEvent31", "Here on that board is something faintly written in red chalk. 'Kritzner is chasing him day and night'");
	SetTranslatorEventMessage("TranslatorEvent32", "My Log: A key! I'll bet it fits the lock in the library on the square.");
	SetTranslatorEventMessage("TranslatorEvent33", "My Log: This tap will probably never flow beer again :-(");
}

function FixMap_15CourtyArd()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: My mother wanted a wedding in the office, my wife and sister at City Hall again in the church. Well, I slammed my fist on the table and did it in the pub!");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Where brute force does not help, you will need the help of a hammer.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Finally got to the outskirts. Castle isn't far away but Krall won't just let someone go into the castle. I'll have to find a safer way.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: public gallows. In the old books I read about it sometimes. Perhaps it was best to deter another killer from his actions. It is said that the growing prison system was one reason for the collapse of our civilization.");
	SetTranslatorEventMessage("TranslatorEvent4", "Krall at night close all the city gates because of enemies and demons. Most gates open downtown, often a lever is hidden nearby. I think that one is opposite the abandoned library.");
	SetTranslatorEventMessage("TranslatorEvent5", "The library has long since closed and it's locked from the inside. Once upon a time we climbed through a cupboard to get in.");
	SetTranslatorEventMessage("TranslatorEvent6", "We got the message that the gate was lost again. It killed me to find out. For sure we have strengthened the guard at the castle. Our leader does not wish to be disturbed.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Here is the secret entrance to the library.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: It is obvious that the library hasn't seen use in years. Nothing but quiet and dusty books.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: I should watch for any surprises I find.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: This is probably the way to the castle. The gate is closed so it is best to find some secret way that will not be too guarded.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Why is this door suspiciously open? Aha, some joker put an anvil on the door! Glad I noticed it otherwise it would have landed on my damn head.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Here it is, now maybe I can find a way into the castle. Is it possible that I will find hellish demons? Haros is full of them.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: It looks like it will begin to rain any minute.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: Where does this secret lead?");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: This is one of those places where they locked up prisoners awaiting execution.");
}

function FixMap_16Castle()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: This should be the basement of the Krall castle.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: I must find the Krall leader. If I killed him then the Krall will began to die off. Haros could then be a Nali resettlement. I expect a lot of elite Krall ahead.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Nothing like a little warmth by the fire. It looks like they are burning books, so sad. I see math, physics, others.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Doors won't open. Hmm..I guess there must be some mechanism.");
	SetTranslatorEventMessage("TranslatorEvent4", "An old legend tells of the powerful Titans. They are almost unbeatable warriors. Whoever calls them into their ranks becomes practically invincible.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: For the moment, it's raining nicely outside. Good, this heat is too much.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: This must be the lever that opens all the closed doors.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Castle Gallery. Krall put stolen paintings by different planets here. I can see some of Madehiten. There are other planets and some unique to Haros I think.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Here is a pool table. But it's a little different than how I knew it on Earth. This uses less balls.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: It's a nice downpour. Wonder when it stops.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Uh oh, barracks. This means more Krall so be careful.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: How to play pool? Probably will forever remain a mystery to me.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Throne room. This must be their leader. Let's go for it! Haros is waiting for liberation.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Phew I made it. The defeat of the leader will make Kralls die off. Those around them are still in danger though. I found a few books on the processing of titanium so the danger is not yet over.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: What is this button? I'll try it. What if it led to a place where they can call Titans?");
	SetTranslatorEventMessage("TranslatorEvent16", "Summoning Titans is possible only by special magical rituals.");
	SetTranslatorEventMessage("TranslatorEvent17", "Krall is being defeated. We lost two planets and already Haros is threatened. The only hope to reverse this is to call the Titans. Then we could take back the lost planet!");
	SetTranslatorEventMessage("TranslatorEvent18", "Haros has an average day of 42 hours. Night in winter is around 30 hours. The average temperature is around 16 C in summer and -33 C in winter.");
}

function FixMap_17Tower()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Where am I? Where did the portal bring me?");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Looks like some magical tower. It's strange, but gravity seems weak, I feel light as a feather.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: This is strange. I was in the tower and for a moment I was somewhere else. Am I in the same world?");
	SetTranslatorEventMessage("TranslatorEvent3", "Krall are now on the verge of extinction. The loss of our leader has broken spirits and now even elite Krall no longer have original power. Our only hope: summon mighty Titans. Can we control them if we do?");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: I finally found the lever to the drawbridge.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: This library was heavily guarded. It's not surprising, they were defending their last stand.");
	SetTranslatorEventMessage("TranslatorEvent6", "This book is on the mysterious legends of the Titans. There's something about their homes on some barren planet.");
	SetTranslatorEventMessage("TranslatorEvent7", "There is something about how they can summon Titans.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: I must find some way to bridge the gap. It's too far to jump.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Wow, the Treasury! I see Krall yearn for a lot of gold.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: We must hurry, Titans can be called at any moment.");
	SetTranslatorEventMessage("TranslatorEvent11", "This is about Krall origin. Interesting. When Haros lived he did genetic experiments. He managed to create the Kralls! Unfortunately they escaped and began looting Haros. Also the gateway brought some plague to him but Krall are immune.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: I wonder if the Krall can control the Titan? It would kill them if not. I do not know how strong the Titans are though.");
}

function FixMap_18RuthinLine()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So, the Haros is done. Krall will begin to slowly disappear from the universe. For today it's enough. It's been more than 10 hours in action. I should find some pub where I could sleep.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: At least it's not raining but it's getting late. It is almost dark. Morning is in about 15 hours. It cooled off nicely, I would say that even freezes.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: I think this will work. Krall have had enough of me but for sure I'll lock up from the inside.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: I'm really quite tired, I look forward to sleep.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Could I have a drink before bedtime? Maybe 1...2 or 5 beers.");
}

function FixMap_19IceMorning()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: That was a good sleep. Brr...but it's surely winter. Outside it's snowing heavily. I'm struck by how cold it is. I should find a fireplace to warm up.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Finally some heat. I need to find the Stargate. Is it far away? Outside will be around -30 and I have few warm clothes. A hard way awaits me.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Whoa, more snow than I thought. Well it will be interesting to wade through almost two meters of snow.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Door does not open, frozen. Things don't go well for me.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: I see that someone forgot to close the door last evening. Looks like I won't go this way. I'll have to find another exit to get to the gate.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: I see that on the roof is more snow. I never experienced something like that before. On Earth it rarely snows. My ancestors told me of snowstorms but I never saw any.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Roof obviously did not last under the snow pressure and crashed. It occurs to me that I could get to the gate underground.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Here winter and ice are even in the sewer.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: This isn't good news. Sewage system is frozen.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: It's too slippery.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Brrr...colder than I ever experienced before. Well at least the snow had stopped.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Finally here at the gate. Quickly, enter the location of Sirius. Let's get out or freeze to death.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: I see the Gateway. Village at the gate is buried by 3 meter layer of snow. How they survive here I don't know.");
	SetTranslatorEventMessage("TranslatorEvent14", "One of us managed to remember the address of the planet of our allies the Brutes. The last of us Kralls managed to dig a snow path to the gate.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: What goes this way? Looks like the Krall wanted to leave Haros. Perhaps this path leads to the gate.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: So I'm at the edge of town, now just find a way to get to the gate. Snow plows have not gotten around yet and digging it myself would take a year.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Ah, a fire...I needed that. I'll take a moment the warm up and then head to the gate.");
	SetTranslatorEventMessage("TranslatorEvent18", "This book about an afterlife. Every good man after death rises on the level plane of existence while the villains and evil people will be condemned to hell.");

	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "20Cave#");
	}
}

function FixMap_20Cave()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Amazingly hot here. Sirius is a volcanic planet, with much naqahdah. The Mercenaries occupy it, and they are enemies of Skaarj.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: It looks like I'm directly in the mines. I should get some transportation and go to the main center.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Looks like I'm right in the naqahdah mines. Now I should decide where to go.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: This switch opens the mine elevator door.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: They are surface mining for Naquadah. This planet does not look too friendly but unlike Exploit it appears that it has always been this way.");
	SetTranslatorEventMessage("TranslatorEvent5", "Most surface deposits of Naquadah are already harvested. Mining in the deeper parts is much harder. We have to wait for the slaves from Exploit to do it.");
	SetTranslatorEventMessage("TranslatorEvent6", "Geological survey showed some surface pockets of Naquadah. Until we defeat Skaarj and Krall on Exploit we will not have enough slaves to work at greater depths.");
}

function FixMap_21Mine()
{
	SetSpecialEventMessage("SpecialEvent5", "Pinhead: You have entered the land of hell.");
	SetSpecialEventMessage("SpecialEvent12", "Pinhead: If you pass a hellish test you may leave.");
	SetSpecialEventMessage("SpecialEvent13", "Pinhead: Otherwise, I'll take your soul to hell.");
	SetSpecialEventMessage("SpecialEvent14", "Pinhead: Where you will suffer for EVER AND EVER.");
	SetSpecialEventMessage("SpecialEvent15", "Pinhead: Are you ready?");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: I am 600 meters underground. I should find out what to do next.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: This mountain is probably geologically unstable rock. Lava is all over the place and still very hot.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Gates are closed. I'll try to look for a control center. There I could try to open the door.");
	SetTranslatorEventMessage("TranslatorEvent3", "Mining Naquadah has not begun yet because the underground is still unstable and threatening cave-ins.");
	SetTranslatorEventMessage("TranslatorEvent4", "The gates to the terminal were recently closed, responding to signals from the control center. I can still manually open it from the northern part of the mine.");
	SetTranslatorEventMessage("TranslatorEvent5", "We recently came across an underground corridor leading into a strange room. One Mercenary there apparently feels the dark forces of mining are not recommend in this place.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: This place reminds me of underground Haros. I hope the demons will be far away.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Where am I? Something tells me I'd better get going.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Here is a lever. I'll try it and see what happens.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Somewhere in these tunnels should be a lever. Perhaps it will not be hard to find.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Loading dock. Here excavated naqahdah is poured into strips and then carted into the base. I'll definitely watch out here.");
	SetTranslatorEventMessage("TranslatorEvent11", "In the latest attack Skaarj severely damaged the naqahdah transport monorail to the main plant. Mining stopped until the monorail is repaired, we can't continue production.");
}

function FixMap_22SpeedWay()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: After 20 minutes of driving he reached the damaged monorail part. Now I'll have to walk. The Mercenary base is it about 10km, better get going.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Yet another truck accident. They make their bed behind the wheel and the worst happens.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Escape from the tunnel corridor. The base will not be far away.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: It seems that in the last attack the monorail took serious damage.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Highway tunnel leads to the same mountain as the monorail. I hope it will lead me into the base.");
}

function FixMap_23WarFactory()
{
	SetTranslatorEventMessage("TranslatorEvent0", "You want to look into virtual reality? Then enter the booth.");
	SetTranslatorEventMessage("TranslatorEvent1", "You want to look into virtual reality? Then enter the booth.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: It looks like a weapons factory. I think somewhere here is where the Naquadah comes to.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Interesting architecture. I did not expect that. What building material is this? It's a steel associated with organic matter. Makes this place look pretty scary.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: It seems to somehow pump, but it only draws?  It's not Naquadah. It could be some shit used in manufacturing. Who knows?");
	SetTranslatorEventMessage("TranslatorEvent5", "There's something odd lately. Some Mercs died under mysterious circumstances. Early it was in the mines, but now it's happened in the factories. We all fear something terrible. The last daredevils working in the mines were unable to defend themselves.");
	SetTranslatorEventMessage("TranslatorEvent6", "Last month: terrible things. I was in the mines and some of our soldiers were killed by a red phantom. Then I saw a figure with nails in his head. I didn't wait and ran. I drink now but it does not help.");
	SetTranslatorEventMessage("TranslatorEvent7", "Incinerator waste at 13%.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Here below it's pretty hot. Mercenaries are burning all their garbage.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: This must be the rear entrance to the main base.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: It must be a supervisor's computer. It was so well hidden it must be important.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Weapons storage. In the boxes must be thousands of weapons, Mercenaries prepare for war.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: I have a really bad feeling of someone or something coming. Something dark.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: I came out of the factory and now I'm in some sort of storage. The weapons are moved by hook, up and then out.");
	SetTranslatorEventMessage("TranslatorEvent14", "Currently processing the waste naqahdah. Manufacture is at 0%. Stocks of naqahdah are at 0%. Weapon stocks 23%.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: Production line now shut down. Mercenary lately have little Naquadah.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: I know a much nicer place than this factory. A place I don't have to fear being eaten.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: More computers...maybe they will open the big door.");
	SetTranslatorEventMessage("TranslatorEvent18", "This lists all production costs.");
	SetTranslatorEventMessage("TranslatorEvent19", "The supply is interrupted due to the damaged monorail. The patch will take at least 6 days.");
	SetTranslatorEventMessage("TranslatorEvent20", "Intrusion detected 5 minutes ago.");
	SetTranslatorEventMessage("TranslatorEvent21", "Within the last 15 days there have been 34 detected unknown intrusions.");

	SetSpecialEventMessage("SpecialEvent6", "Gravity lift up.");
	SetSpecialEventMessage("SpecialEvent7", "Gravity lift down.");
}

function FixMap_24HeadQuarter()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: On this planet Mercenaries had no need to do anything else so they mosty left this place. Skaarj quickly moved in.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Docks control center. A little playing with the computers, maybe I will get access to the ship.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: So I was at the docks, now I need to get a ship.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Now I need to find out what the hell is happening so I know what to do next.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Finally got to the control center. Perhaps I can find some information and the controls to the dock door.");
	SetTranslatorEventMessage("TranslatorEvent7", "We recently and successfully stole a handfull of the Krall ships. Unfortunately as with other Skaarj battles we lost a lot of them in the fight.");
	SetTranslatorEventMessage("TranslatorEvent8", "Skaarj are going to attack Sirius. This battle we will lose because they stole our technology.");
	SetTranslatorEventMessage("TranslatorEvent9", "Recently on Sirius some red demons have been seen. Many think it's because of so much hatred that currently exists in the universe.");
	SetTranslatorEventMessage("TranslatorEvent10", "The Tauri knew of demons for centuries is is said. One of them, probably a leader, has the nail on the head. They saw a similar demon in the mines.");

	SetSpecialEventMessage("SpecialEvent12", "Alarm! Unauthorized open boats. All units in the dock.");
	
	SetTriggerMessage("Trigger29","Dock door is open");
	
	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "25LostPalace#");
	}
}

function FixMap_25LostPalace()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So I'm on the planet Chicken Itza. Mercenaries must have a base here.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: On this plan, I overheard something. It's apparently the smallest habitable planet. The daily cycle lasts only 14 hours and the heat can be very high.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: So, Chicken Itza is literally interwoven with a system of underground tunnels.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Similar to Mayan pyramids. Such pyramids are all over the planet. Time to track down the Mercenary hideout.");
	SetTranslatorEventMessage("TranslatorEvent4", "How can I get over these stones doors...I heard from a Mercenary that they can open with a lever that is hidden in a Piramid.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: I'm starting to feel a bit tired. I'll find a nice spot somewhere to sleep.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: I'll rest here for a while. It's not the Hilton, but it will be good enough.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: This is a quite puzzling underground. I have no idea where I am.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: I just don't like this place, I have a feeling that somewhere nearby are infernal demons.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: This part of the underground is somehow cold? I just don't understand it, how do they change the temperature and put winter here?");
	SetTranslatorEventMessage("TranslatorEvent10", "Of the 10 who read these lines none will never see the light of day again...That sounds ominous.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Ooof! Fortunately there was water. Great, I'm out of the cold but now I have to find a way back up.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: What is this tunnel? Why is it so big? Who would create it? Where did you go? I only know one way to find out.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: It appears these gates haven't moved in a very long time. Better look another way.");
	SetTranslatorEventMessage("TranslatorEvent14", "I fell into this tunnel. I'm afraid of what may await me here. It is said that this tunnel labyrinth spreads under the whole planet and leads to hell and who knows where else.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: These doors are ajar. Strange.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: What is this abhorrent place of torment? Lots of blood, guts and meat. It makes me sick!");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: This is probably a Mercenary meeting hall.");
	SetTranslatorEventMessage("TranslatorEvent19", "Lately strange things occur. Sirius began to fill with demons, we suffered heavy losses in fighting the Skaarj and a stranger arrived. We hide for a time in the Mayan cities in the Northeast until the situation calms down.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: The ancients had to be skillful when they built this.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: Celestial chapel. It has a calming effect on me.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: Damn, this is a big rat maze. I can not get out of here, I feel like I walk around forever with demons of hell everywhere.");

	SetSpecialEventMessage("SpecialEvent0", "Shit!!!");
}

function FixMap_26Town()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: I slept great. So now I should be at a Mayan city. The Mercenaries have a hidden position.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: This is pretty high pyramid, the others aren't even half this size. It would make a good sniper's nest.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: There are probably a lot of Mercs hidden somewhere underground. I need to find out how to open the door.");
	SetTranslatorEventMessage("TranslatorEvent3", "Mercenary are almost on the verge of extinction. Home planet Sirius will be attacked by Skaarj. Fortunately, we have enough in time to flee. A few hours ago a man came here that is said massacred Krall on Haros, Exploit and Madehiten.");
}

function FixMap_27Cellars()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So Mercenaries are probably hiding somewhere in here. Perhaps I can find their leader.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: These are the only doors that open. Maybe I can find a way to get into the others.");
	SetTranslatorEventMessage("TranslatorEvent3", "We got a call from our planet Sirius. They are already occupied by Skaarj. Our last few Mercenary are hidden in this dungeon. Sadly we had to leave our technology. Skaarj can detect us because of it.");
	SetTranslatorEventMessage("TranslatorEvent4", "Looks like we'll have to stay hidden in these cellars. Our spies have found Brutes want to start a war against the Skaarj. They think that they can defeat the Krall.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: It's true, Mercenaries really are hiding from the Skaarj. Perhaps their leader is here too.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: So I finally got past the last door. Let's see what we have next.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: So that's it. Mercenary leader is dead. So the next enemy race is now on its way to extinction. Next, the Brutes. I know the address of their planet: Pharao.");
	SetTranslatorEventMessage("TranslatorEvent8", "Recently Brutes started leaving planet Pharao. In a couple of days they destroyed the Kralls and plan to expand to other planets, starting war against the Skaarj. They think Skaarj betrayed them.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Maybe it would be good to check here. Perhaps there will be someone in the library.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Here's something interesting: the location of planet Pharao and the position of the gate here at Chicken Itza. That's what I need!");
	SetTranslatorEventMessage("TranslatorEvent11", "1) For many years races enslave and devastate the planet. Once on planet Haros was a scientist from the planet Tauri. After years of research he has created the Krall race. Later he began to expand further into space.");
	SetTranslatorEventMessage("TranslatorEvent1", "2) On Tauri locals longed for wealth and power so they created Skaarj, then conquered Krall world. Skaarj turned against them and began looting other worlds. Later they created Mercs on Sirius, tasking them to destroy Skaar.");
	SetTranslatorEventMessage("TranslatorEvent12", "3) Brutes lived long on planet Pharao. Its origin is not exactly known, but its thought Kralls created them. Fortunately they haven't left the planet. All signs are that they will, plundering and enslaving.");

	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "28Palace#");
	}
}

function FixMap_28Palace()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So I finally reached the planet Pharao. Apparently, I arrived in time. The Brutes has not yet begun to march. I first must find out where the main Brute leader is.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: So far I have found nothing really interesting. I can only investigate further.");
}

function FixMap_29CentralTown()
{
	SetTranslatorEventMessage("TranslatorEvent0", "After the destruction of our Krall allies we are vulnerable to the Skaarj. Our top Brute Council will meet in the large pyramid. There we will discuss what to do next.");
	SetTranslatorEventMessage("TranslatorEvent1", "The pyramid is the most highly guarded place on Pharao. The city entrances and surrounding area are closed and heavily guarded. It is virtually impossible to shoot our way in there.");
	SetTranslatorEventMessage("TranslatorEvent2", "We recently discovered there's a secret entrance in the catacombs. For security, the entrance is 3 doors operated from different locations and it's full of demons. It's virtually impossible for the enemy to get to the pyramid that way.");
	SetTranslatorEventMessage("TranslatorEvent3", "Recently the catacombs been found to lead to the lost city. This was built in the time of the previous civilization.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Ah, here is the entrance to the underground. I'll have to get to the lever up in the tower.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: This town is pretty big. I had to get to the part of the city where the Brute fighters live.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: In this neighborhood are some houses used as storage. Interesting that at first glance they are not distinguishable from surrounding buildings.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Here Pharao is pretty hot. But it's not as hot as Exploit and Sirius.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: So I'm going to have to search for places where the major leaders hide. Then it will be the third race which was destroyed and then we are left with only the Skaarj.");
}

function FixMap_30Catacombs()
{
	SetTranslatorEventMessage("TranslatorEvent0", "The tombs beneath the city has a secret entrance to the lost city. Anyone who wants to visit the lost city will have to reckon with the fact that he will meet the hellish demons.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Look, I found a secret entrance to the catacombs. I think that here I will again meet the hellish demons. Well I won over them a few times already.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: There's a lot of funeral boxes. Who knows how many people are buried here.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: This part of the catacombs looks much darker. I feel the evil forces permeating it.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: This part of the underground I've never heard of. It certainly will not be the lost city. What is at the end?");
	SetTranslatorEventMessage("TranslatorEvent6", "Those who want to know the truth about the dark world of evil, well the truth is very cruel so be prepared both physically and emotionally.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: I hope I get to the lost city soon.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: That looks like the basement of one of the Palaces of the Lost City.");
}

function FixMap_31LostCity()
{
	SetTranslatorEventMessage("TranslatorEvent0", "PHARMACY");
	SetTranslatorEventMessage("TranslatorEvent1", "THEATRE");
	SetTranslatorEventMessage("TranslatorEvent2", "COURTYARD");
	SetTranslatorEventMessage("TranslatorEvent3", "PALACE");
	SetTranslatorEventMessage("TranslatorEvent4", "LIBRARY");
	SetTranslatorEventMessage("TranslatorEvent5", "RESIDENTIAL AREA");
	SetTranslatorEventMessage("TranslatorEvent6", "WATER COLLECTION");
	SetTranslatorEventMessage("TranslatorEvent7", "STORES");
	SetTranslatorEventMessage("TranslatorEvent8", "The Lost City is over 5000 years old. In the last century we discovered more than 50 meters of sand deposits and the city was restored. Some areas were completely destroyed but we managed to guess how they once looked.");
	SetTranslatorEventMessage("TranslatorEvent9", "To open the gates leading to the Pyramid you need to place statues of four elements (earth air fire water)");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: It seems that the ruler lived in the pyramid and then preached from this balcony.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Well, I would not want to fight bare handed in this arena. Just one bad step and you taste the lava bath.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Nice house. Now why does this city seem so familiar?");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: The hallway leads deep underground. I should be careful of traps.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Local modest homes. Plenty of room for a couple of people each.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: This is probably the entrance to the city. Unfortunately the door is closed.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: Nice auditorium. I remember going to the theater and watching things like: Hamlet, Romeo and Juliet, Othello, Taming of the Shrew, Don Quixote, etc.");

	SetSpecialEventMessage("SpecialEvent0", "It took some leverage to be able to do that.");
	SetSpecialEventMessage("SpecialEvent1", "The rat trap snapped shut. :-)");
	
	SetTriggerMessage("Trigger0","You placed the Water Stone");
	SetTriggerMessage("Trigger1","You placed the Earth Stone");
	SetTriggerMessage("Trigger2","You placed the Air Stone");
	SetTriggerMessage("Trigger3","You placed the Fire Stone");
	SetTriggerMessage("Trigger4","You found the Water Stone");
	SetTriggerMessage("Trigger5","You found the Fire Stone");
	SetTriggerMessage("Trigger6","You found the Earth Stone");
	SetTriggerMessage("Trigger7","You found the Air Stone");
	SetTriggerMessage("Trigger8","Lever is located, Bridge activated");
	SetTriggerMessage("Trigger9","You found the lever");
}

function FixMap_32Piramide()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So I finally got to the big pyramid. Somewhere there will be a major Brute leader.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: The leader will definitely be behind those closed doors. I just need to find a way to open it.");
	SetTranslatorEventMessage("TranslatorEvent4", "We have a message that after the prisoners learned what was happening they revolted and engaged in active resistance. We failed to keep our home Pharao and have to evacuate elsewhere.");
	SetTranslatorEventMessage("TranslatorEvent5", "We're very lucky to have saved one of the Krall's ships before their annihilation.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Here are the crystals. I have no idea exactly how it works but I'll try moving the crystals and see if it will open the door.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: So, the Krall brought the ship here and want to help the Brutes escape. With these I'll try to get on the ship. I hope it's still within reach.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Something tells me that I should be on the bridge. I will try to steer the ship on a downward path to destroy it, then quickly go through the gate.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: So, what was it he said to do? 3 crystals from the right, 2 from the center and then try to bridge the circuits.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: These bridge circuits all look the same. I'll look at some other addresses. I don't know where I should go.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Oh no, here is the address of a planet populated by Skaarj warriors. I have to look.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Then enter the location and off you go.");

	SetSpecialEventMessage("SpecialEvent8", "Central pyramid door open.");
	SetSpecialEventMessage("SpecialEvent9", "open the door to the engine room. OK ...");
	SetSpecialEventMessage("SpecialEvent10", "Bridging circuits completed. The door to the ship's main computer is open.");
	SetSpecialEventMessage("SpecialEvent11", "Bridging completed. The door to the Stargate opening.");
	SetSpecialEventMessage("SpecialEvent12", "I have no idea what I have to do.");
	SetSpecialEventMessage("SpecialEvent13", "Me: You're welcome.");
	SetSpecialEventMessage("SpecialEvent14", "Nali: Kralls here use me as a handyman. Could I help you?");
	SetSpecialEventMessage("SpecialEvent15", "I: I have no idea how to break the protection control system.");
	SetSpecialEventMessage("SpecialEvent16", "Nali: Thanks for helping me out of this terrible place.");
	SetSpecialEventMessage("SpecialEvent17", "Nali: Then you go into the engine room. From the right panel, you get 3 crystals and from the middle get 2. Now put those two in the right panel.");
	SetSpecialEventMessage("SpecialEvent18", "Nali: That will open the door to a host computer. It has a special password and a gateway.");
	SetSpecialEventMessage("SpecialEvent19", "Nali: Again use the crystal bridge control password and you will see the way to the gate.");
	SetSpecialEventMessage("SpecialEvent20", "Nali: Should there be a password use this: PB5A7E then you shall get control of the ship.");
	SetSpecialEventMessage("SpecialEvent21", "Me: Well, thank you, you've helped me so much.");
	SetSpecialEventMessage("SpecialEvent22", "Nali: Good luck.");
	SetSpecialEventMessage("SpecialEvent23", "Open the door to the gate... Access ... denied.");
	SetSpecialEventMessage("SpecialEvent24", "Signal transmitting to Pharao. OK ...");
	SetSpecialEventMessage("SpecialEvent25", "Burned circuits. :-D ... OK");
	SetSpecialEventMessage("SpecialEvent26", "Ahh fuck it. Let's get out.");
	SetSpecialEventMessage("SpecialEvent32", "Brute leader was defeated");

	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "33Sarevok#");
	}

}

function FixMap_33Sarevok()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So I finally got to the planet. Now I need to find out where the queen Skaarj is and what they're up to. From what I know Skaarj plan to occupy Sirius. It's currently cleared and don't want to go back there.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Hm ... locked, so it seems this should be the main entrance. I'll have to find another way out of the village.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: It looks like the local market.");
	SetTranslatorEventMessage("TranslatorEvent3", "5 days ago someone took a Stargate to here. The main entrance is closed, but the intruder found a secret passage thru the dark forest and into the city Amarok. Local guards should be told because Amarok is our capital.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: It's really nice here. Clean air, friendly atmosphere. Shame there must always be enemies.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: This tall building is the library. I'll check it out, maybe find something interesting.");
	SetTranslatorEventMessage("TranslatorEvent6", "From Research: Stonehenge likely serves to concentrate cosmic energy to be used for great things. Says this energy can incredibly powerful. It serves as a protection against the enemies coming through the Stargate.");
	SetTranslatorEventMessage("TranslatorEvent7", "This book is planet locations: Madehiten, Haros, Chicken Itza, Pharao. Those I know but there are 2 others I don't: Soulstone and Tauri. Also I didn't know of a Stargate on Earth but it says our government keeps it. Why?");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: This is the edge of Sarevok village. I went through it all and there's nowhere to go now. I'll try a better search, maybe I can find some secret passage.");
}

function FixMap_34DarkWood()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Looks like a gym. Only I have no idea where exactly to look around. Maybe I'll learn more.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Where did it throw me to?");
	SetTranslatorEventMessage("TranslatorEvent2", "According to this atlas I'm half a mile from the Sarevok village. Hmm...Amarok looks like quite a large city and is located about 8 km away.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: The path continues on through the dark forest. The planet has many such forests.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: The forest seems to be darker than I expected. Fighting any Skaarj will be quite dangerous.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: A couple of gardens, it seems that the locals are well supplied with food.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Many of the rooms are pretty cozy, shame I can't afford a nap.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: I see that most of the planet was once inhabited by Nali. Sadly there was also various enemies. But it is very strange that in the universe enemies appeared so suddenly, within a few decades.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: The village is in the middle of a forest. Wow, isn't that dangerous?");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: I finally found the key. Who would've thought it would be so well hidden.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Now that's pretty remote, hidden in the middle of a forest.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: This is nice. They behave quite calm compared with those on earth.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: And here are the plants. Once I kill the Skaarj it will again serve the native people.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: In this room it's pretty hot. This is definitely a sauna. From the moment I entered I was sweating.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: The entrance to a tunnel. Well I know what to do with another entrance once I've found it.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: Again, in the dark forest.");
	SetTranslatorEventMessage("TranslatorEvent16", "My log: The path is blocked by the fallen tree. I'll have to go to the other side.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Finally I got to the abbey. In these woods I just do not feel very secure.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Fuck this is icy cold water!");
}

function FixMap_35Monastery()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: A pickaxe, you can throw it.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: So I finally figured it out how to get in the door: Just use the right key:-)");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: They sure are quality doors. I want to open them and they fall down on me.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: The interior of the abbey looks quite cozy. Amarok city will obviously be very difficult. Major cities will be the best protected.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: The only exit from the abbey seems to be closed from the inside.");
	SetTranslatorEventMessage("TranslatorEvent5", "This is a map of a network of tunnels. They're connected to almost everyones cellar. One entrance is here in this basement but door is locked and the key lost. It was a special lock that can not pry so escape from the abbey is blocked.");
	SetTranslatorEventMessage("TranslatorEvent6", "This book is about the history of the planet. It was once inhabited by Nali but they were attacked by Skaarj. It is said that they came from a planet called Tauri.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: The sanctuary looks completely different from what I've seen on other planets and yet they worshiped the same religion.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Nice garden. The original inhabitants apparently had a sense of nature.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: This looks like the entrance to the underground.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Wow! Thid will come in handy.");
	
	SetTriggerMessage("Trigger12","You took a pickaxe");
}

function FixMap_36Amarok()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Like a beer? Damn, no Miller or Bud.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: So that's it. Is it better to pound the fallen door than have to fight enemies.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Again locked, and I ruined the pickaxe in the hallway entrance.");
	SetTranslatorEventMessage("TranslatorEvent3", "In the last days things have really changed. Several planets were freed by one person. It seems the Skaarj are sounding the alarm because this planet is one of the last enslaved.");
	SetTranslatorEventMessage("TranslatorEvent4", "Skaarj were created because of the increasingly powerful Mercenary race. The Mercenary gradually lose strength and predict their demise. But the question remains what they will do with the Skaarj?");
	SetTranslatorEventMessage("TranslatorEvent5", "I've always been aware the Skaarj have a home planet: Shinigami. Their main base however is located on the planet Tauri.");
	SetTranslatorEventMessage("TranslatorEvent6", "A person has stolen my boat while I was drunk. How can I buy another? 1) Invite to some metal band to the pub. Let's get HammerFall! 2) There is beer, sell it. 3) Buy another boat.");
	SetTranslatorEventMessage("TranslatorEvent7", "Income from transport of packages: 1,280 Expenses: Repair holes in the roof- 20, purchase new ships- 500, wages of employees- 320 Beer- 200");
	SetTranslatorEventMessage("TranslatorEvent8", "We're near Frederik cliff, sailing slowly to not hit a reef. Our cargo: Amarock wines. Suddenly a bright white ghost was in the sky. So bright a light I've ever seen. It flew fast through the cliffs then disappeared in the distance.");
	SetTranslatorEventMessage("TranslatorEvent9", "My log: So it's a nice harbor, I did not know that I was so close to the sea.");
	SetTranslatorEventMessage("TranslatorEvent10", "My log: I hope I'll soon get to the castle.");
	SetTranslatorEventMessage("TranslatorEvent11", "My log: I wonder what I can find interesting in this library.");
	SetTranslatorEventMessage("TranslatorEvent12", "My log: Could this be the right way to the castle.");
	SetTranslatorEventMessage("TranslatorEvent13", "My log: This looks like a pretty big city. I do not want to stay longer around the houses, I need to find the castle.");
}

function FixMap_37Castle()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: The going gets tough. The castle is now within reach. It's obviously the Skaarj headquarters I should expect some leader or queen.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: I'm here. I did not expect such a pretty castle. Now I just need to find a way inside. The main entrance I can see. I should look if there's some secret entrance. A crack in the wall or something like that.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: This one looks like a way in. Obviously someone had dug this in secret. Let's go inside.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Prison. Maybe they will have some prisoners. They might have some interesting information.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Oh no...a torture chamber. Why does this always have to be part of the prison...");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Electric chair. I'm certainly surprised to find this. Strange, there is no external power hookup. Obviously they have some internal source of energy.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: From this room lifts between floors are controlled.");
	SetTranslatorEventMessage("TranslatorEvent7", "Looks like some sort of operational manual. Wish I could read it.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: I'm finally out of the depressing prison. Next will probably be storage. Before going any further I should check the cells. What if a prisoner has some valuable information that would be useful to me?");
	SetTranslatorEventMessage("TranslatorEvent10", "Skaarj have always been allies with the Tau'ri. The local residents don't have a clue what they plan to do. If I was able I'd get the Tau'ri location. It could be in the castle library.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Castle kitchen, spacious enough to cook about 120 meals.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Finally out of the basement. Well that's a lucky break. I'm in the library. Now a little look around. Surely there will be interesting information.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: The main entrance is very well protected. It is practically impossible to try to pass. I'm glad I went through the back door.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Room above looks like a gym. Skaarj will definitely be there.");
	SetTranslatorEventMessage("TranslatorEvent15", "The last attack on Sirius was again thwarted by the rebels coming mostly from the planet Exploited. They got tremendous support from the previously enslaved planet. We will need help from Tauri allies. They need the Naqahdah deposits.");
	SetTranslatorEventMessage("TranslatorEvent16", "The old writings say on Soulstone is a device that can destroy anything after passing through a Stargate. The problem is that nobody knows where. Explorers sent there to find it never returned.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Here is a mess. Perhaps I'll find something in this technical mountain.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Finally, an interesting book with descriptions of several planets and their locations. Most I've visited, but not these: Soulstone and Tauri. I have no idea what to expect.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: It looks like the fireplace in the style of Pat & Mat:-) Those guys can do anything well.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: After this I could logically go home. Yet the Skaarj might continue and eventually make war on Earth. I'll have to go to the Soulstone and find the device to destroy the iris and close the gates forever.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: Stairs lead farther down than the lowest floor of the castle. There will be a secret passage for emergency escape. I hope I can get to the gate.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: This was used to pour hot liquid on enemies trying to conquer the castle. Effective. Similar practices I read about on Earth in the ancient Middle Ages.");
	SetTranslatorEventMessage("TranslatorEvent23", "My Log: The main entrance opens here. But that leads back to the gate, back through Amarok and forest. I should look for a secret passage. The doors are not locked in the basement just for fun.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: Again, in the tombs...");
}

function FixMap_38Specters()
{
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Behind this door you can hear the sounds of demons. Again, I have a strange feeling of fear. Don't open this");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Apparently I got into some forgotten sewer. It's not a friendly place, it's dark and cold. Who knows what other horrors are hiding there.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Spirit voices are heard everywhere. You better get out as quickly as possible.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: At last I got out of those dark sewers.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Shaft leading to the surface. It is not possible to get out that way.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: I think I'm in a dungeon.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: I have been underground for a long time. My sense of direction is good though so I think I'm near the gate.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: Another of the many tombs. It is unreal how many people lived underground on all the planets. It seems a tomb serves as a warning of the dark forces.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Finally I'm out of those dark tombs and crypts full of the undead. I hope it was the last of my trips to such places.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: So I finally got back to the gate.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: So going home would be suicide now going by what I read in books in the castle . I look at this mysterious planet, Soulstone, fearing what is there. He said no one ever came back.");
	SetTranslatorEventMessage("TranslatorEvent12", "Book of Charged Bolt");
	SetTranslatorEventMessage("TranslatorEvent13", "Book of Lightning");
	SetTranslatorEventMessage("TranslatorEvent14", "Book of Health");
	SetTranslatorEventMessage("TranslatorEvent15", "Book of Firewall");
	SetTranslatorEventMessage("TranslatorEvent16", "Book of Town Portal");
	SetTranslatorEventMessage("TranslatorEvent17", "Book of Fire");
	SetTranslatorEventMessage("TranslatorEvent18", "Book of Man Shield");
	SetTranslatorEventMessage("TranslatorEvent19", "Book of Golem");
	SetTranslatorEventMessage("TranslatorEvent20", "Book of Chain Lightning");
	SetTranslatorEventMessage("TranslatorEvent21", "Book of Flash");
	SetTranslatorEventMessage("TranslatorEvent22", "Book of Stone Curse");
	SetTranslatorEventMessage("TranslatorEvent23", "Book of Nova");
	SetTranslatorEventMessage("TranslatorEvent24", "Book of Immolation");
	SetTranslatorEventMessage("TranslatorEvent25", "Book of Apocalypse");
	SetTranslatorEventMessage("TranslatorEvent26", "Book of Flamewave");
	SetTranslatorEventMessage("TranslatorEvent27", "Book of Wall Lightning");
	SetTranslatorEventMessage("TranslatorEvent28", "Book of Guardians");
	SetTranslatorEventMessage("TranslatorEvent29", "Book of Extra Health");
	SetTranslatorEventMessage("TranslatorEvent30", "Book of Resurrection");
	SetTranslatorEventMessage("TranslatorEvent31", "Book of Bloodspirit");
	SetTranslatorEventMessage("TranslatorEvent32", "Book of Teleport");
	SetTranslatorEventMessage("TranslatorEvent33", "Book of Fireball");
	SetTranslatorEventMessage("TranslatorEvent34", "Book of Holiness");
	SetTranslatorEventMessage("TranslatorEvent35", "Book of Infravision");

	SetSpecialEventMessage("SpecialEvent8", "Drink and be refreshed.");
	SetSpecialEventMessage("SpecialEvent9", "When the spirit is vigilant the body thrives.");
	SetSpecialEventMessage("SpecialEvent10", "The way is made clear when viewed from above.");
	SetSpecialEventMessage("SpecialEvent11", "Strength is bolstered by heavenly faith.");
	SetSpecialEventMessage("SpecialEvent12", "Me: Where did you from all the sudden?");
	SetSpecialEventMessage("SpecialEvent13", "Nali: We come from a planet that you helped liberate.");
	SetSpecialEventMessage("SpecialEvent14", "Me: How does it look now, in the universe I mean?");
	SetSpecialEventMessage("SpecialEvent15", "Nali: After you destroyed the leader, we managed with the help of friends from Exploit to destroy the remnants of the enemy.");
	SetSpecialEventMessage("SpecialEvent16", "Me: Well, I had no idea that things are moving so fast.");
	SetSpecialEventMessage("SpecialEvent17", "Me: I need any information about the device on Soulstones. I need it to destroy the iris.");
	SetSpecialEventMessage("SpecialEvent18", "Nali: I know little about the device but a short walk from the gate is a hidden computer where perhaps is the information you seek.");
	SetSpecialEventMessage("SpecialEvent19", "Nali But watch out, the planet is full of Titans. Once upon a time giants lived there, but one day was apparently decimated. No one knows for sure.");
	SetSpecialEventMessage("SpecialEvent20", "Nali: Why destroy the iris? Perhaps you do not want to go to Tauri?");
	SetSpecialEventMessage("SpecialEvent21", "Me: I came from the planet but I had no idea Skaarj were allies on Tauri. I'll have to find out what's going on.");
	SetSpecialEventMessage("SpecialEvent22", "Nali: the local branch of the rebels recently tried to establish contact with us, but results were disappointing.");
	SetSpecialEventMessage("SpecialEvent23", "Nali: When you get there try to find out what's going on. If there are Skaarj allies they could help Tauri rebels.");
	SetSpecialEventMessage("SpecialEvent24", "Me: It seems that I will have to eventually make war on my own government. It is true of ordinary people that enough persecution makes them rise against the government.");
	SetSpecialEventMessage("SpecialEvent25", "Me: See you later. Once your world is free I'm going to Soulstone.");

	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "39Ruins#");
	}
}

function FixMap_39Ruins()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: So this is Soulstone. Now to find the computer. I hope it still works. This could be tough, it was rumored that this planet was once devastated by something.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: I think this is the computer I'm looking for.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: This lever opens the door into that locked room.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: So here's the key I was looking for all this time.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: This town is in bad shape. Looks like it's been empty for years.");
	SetTranslatorEventMessage("TranslatorEvent5", "Soulstone's atmosphere is full of organic smog which prevents the penetration of light. It used to be clear but we were attacked and since then there's been the smog.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Finally inside. The Titans might not fit here.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Hmm house of boxes. I played like this as a child.");
	SetTranslatorEventMessage("TranslatorEvent36", "I found the devices that can destroy the iris. It's located a short distance from this ruins, near the rocks of Stonehenge.");

	SetSpecialEventMessage("SpecialEvent0", "Search 'way to get through the iris'...Hit Enter");
	SetSpecialEventMessage("SpecialEvent1", "Found 2 records:");
	SetSpecialEventMessage("SpecialEvent2", "wait ...");
	SetSpecialEventMessage("SpecialEvent3", "1) Once upon a time it was shown that on the planet Soulstone there are different kinds of magical energy.");
	SetSpecialEventMessage("SpecialEvent4", "This energy is sent through the Stargate to Tauri and could temporarily allow access to the iris.");
}

function FixMap_40Underworld()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: It was a trap. I fell into some tunnel. Well at least I know how to disable the iris. But first we have to get out of here and get to Stonehenge. Hm ... what's that red light over there.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: What is this? Blood drips from the ceiling from a piece of meat, pretty disgusting. It is certainly a work of hellish demons. I'm getting used to this from what I've seen on all the planets but about them I know almost nothing.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: The ground under Soulstone is still quite volcanically active.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Again the tunnels with luminous fungi.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: I wonder who built these tunnels. Why are they so terribly large? It obviously wasn't for people, maybe perhaps giants?");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Underground tunnels will be around the entire planet. I'd better think of how to get topside though.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: It smells rotten. These rooms were designed for the storage of meat. Perhaps human...");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Another closed passage. I should try the opposite to the long corridor.");
}

function FixMap_41Stonehenge()
{
	SetSpecialEventMessage("SpecialEvent7", "The iris is knocked out on Tauri.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Final Steps. Hopefully it leads to the surface.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Well, the iris is disabled. So finally I go home but even though I expect a friendly welcome I have to be ready against anyone guarding it against my return.");

	if (bSkipWormholes)
	{
		SkipWormholes("Teleporter0", "42Gateport#");
	}
}

function FixMap_42Gateport()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: 'Big Brother is watching you' reads the inscription below the picture. It's one of those pictures which is done so that the eyes follow you around when you move.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: In this room there are body scanners. With them you can easily find out if someone is carring something objectionable. An alarm is triggered and they are detained if they have a banned item.");
	SetTranslatorEventMessage("TranslatorEvent3", "Incoming wormhole. Iris activated. Charged particles detected on the iris. Iris destroyed. Alarm.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: East is closed. I guess that's not the way out. I'll Try to find another way.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: I'm going back home to a totalitarian world. So now I belong among the enemies of the state. Still I'll Try to get home.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Finally safe for a while. Looking out the window the Stargate is one of those tall buildings. Ordinary citizens have no idea what's going on. It's a short walk from my apartment but it is much lower.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: This looks like the entrance to the sewers.");
}

function FixMap_43City()
{
	SetSpecialEventMessage("SpecialEvent0", "Warning message:");
	SetSpecialEventMessage("SpecialEvent1", "An enemy has entered our city.");
	SetSpecialEventMessage("SpecialEvent2", "He is armed and extremely dangerous...");
	SetSpecialEventMessage("SpecialEvent3", "Therefore a strict curfew now applies to section 16.");
	SetSpecialEventMessage("SpecialEvent4", "Thought Police: Drop your weapons and surrender immediately.");
	SetSpecialEventMessage("SpecialEvent5", "Thought Police: You have 10 seconds then we open fire.");
	SetSpecialEventMessage("SpecialEvent6", "Thought Police: Okay, FIRE!");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: We must hurry. In a while the Thought Police will arrive here in large numbers. The sewer and ventilation systems are not safe, soon they will start scanning.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Closed. For now even the best will not be able to get in the door.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: What a tremendous void, it's so far to the bottom of this shaft.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: This passageway appears to be suitable for use.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: So finally I'm in town and somewhat safer, especially in these intricate systems of halls. Looking at the poster of big brother makes a man feel they are being monitored.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: The apartments are modestly furnished. Old rickety bunks and a small table with chairs. They have just one room. Some also have a small kitchenette for the convenience of residents.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: The corridors are dimly lit. Is no one doing maintenance? Some are lit and some not.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: This door is locked. It makes no sense to go through all the apartments I'll just run into someone. Violence between people is very common so it is better to be quiet.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: No sense trying the lift. Even in the best of times it seldom worked and presently the electric is cut off during the day as part of austerity measures.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: This place looks familiar. If I'm not mistaken my apartment is just two floors up.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: This screen both sends and receives. Every sound is captured. They can see me too. One is never sure at any moment if the Thought Police are watching. It's assumed yto be constant. They can turn it on when they want to.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: For some reason the screen is in an unusual position. Normally it's on the front wall where it could see the whole room opposite the window. This niche where the library is lies outside the field of view of the screen.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: It's better the back remains for them to watch. Even a back can reveal secrets though.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: So I'm finally home after so much time and I still will not have peace.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: There are rumors of some sort of brotherhood fighting against the government but the problem is how to find their way to them. It's our only hope. Great, the Thought Police will be here in no time now.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: Kramek's consumer goods. As usual, shelves almost empty. So much so that even shoelaces and razor blades are impossible to get for months now.");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: What's this? A secret room or passage? In this huge city many people have use of such secrets.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Store's secret sale place. Wow, CD's with metal music and pictures. If the Thought Police knew...This is just for a few customers. Getting CD's is impossible now. I was amazed that these are made as the materials are hard to get.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Cinemas play the same war movies like a refugee ship being bombed. The audience loved it when a guy fled a helicopter chasing him. It was seen thru a gunsight. He was shot, bloody then he died. The audience roared with laughter.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Then there was a lifeboat of children and above it a helicopter. It dropped a bomb. Terrific flash, boat flew to splinters. Followed by a shot of a child's hand rising high into the air. From the party members came a huge applause.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: Stairs to other floors collapsed long ago due to insufficient maintenance. Others in the hotel are required so they are kept up.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: Standard toilets. No one has a privacy partition because it's a 'luxury'. Small video screens are also on the toilet.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: This looks like a good escape. The sewers can reach all over even when the main gate is closed.");
	SetTranslatorEventMessage("TranslatorEvent23", "My Log: In the cellars screens are everywhere, usually in the hallways and in some rooms. Mostly they are only microphones so if a person is quiet you can do virtually whatever you want.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: Local cafe. People come here to play chess or just chat over a glass of gin.");
	SetTranslatorEventMessage("TranslatorEvent25", "My Log: Hotel room with a modified screen? The unit has a tape that play over and over again. So they still see an empty room. I heard about this, it's a secret entrance to the old section.");
	SetTranslatorEventMessage("TranslatorEvent27", "My Log: A sensor automatically closes this. Even if someone finds the false door in the closet, they only find a wall.");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: This cable shaft could get me into the old section.");
	SetTranslatorEventMessage("TranslatorEvent29", "We formed a resistance gang, finally managed to get a gun and decoder. Now we can break the security codes for doors. In a hotel room is a secret closet. It's a great shortcut to the old section and the 'Brotherhood'.");
}

function FixMap_44OldSection()
{
	SetTranslatorEventMessage("TranslatorEvent0", "My Log: This passage....I could get out of this district.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: This is area 4. Life here is worse than in the upper sections. Destroyed houses, no shops and rampant crime. The government occasionally send troops to the fix 'little messes' here.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: This hotel definitely has not prospered. Today it is in imminent ruin");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: A decent house. People here are not as monitored as elsewhere. There are only small screens. If someone commits a thought crime he has a good chance to hide.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Doors were removed a long ago.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: The entrance to the station obviously caved in many years ago.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: I'm below ground level. Almost no one goes into these systems and no one knows what long ago they were actually hiding.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: It looks as though this passage is still used...");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: This looks like an old underground railway dispatching center.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Life is like chick in the henhouse. Short and shitty.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Marines are searching all the houses, apartment after apartment. Not much chance at escape. Hopefully I can get into the ground.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Where can this lead...");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Where did those demons go?");

	SetSpecialEventMessage("SpecialEvent0", "Just don't know if I want to go on this lift.");
	SetSpecialEventMessage("SpecialEvent1", "A is the express lift.");
	SetSpecialEventMessage("SpecialEvent2", "A is coming.");
	SetSpecialEventMessage("SpecialEvent3", "I think the steps are a better choice.");
	SetSpecialEventMessage("SpecialEvent4", "Me: I finally found you. It was not easy to get here.");
	SetSpecialEventMessage("SpecialEvent5", "Fraternity member: Good that you killed the demons in the station.");
	SetSpecialEventMessage("SpecialEvent6", "Fraternity member: I kill them too, but there are always more.");
	SetSpecialEventMessage("SpecialEvent7", "Me: Where did they come from? I've already met them many times.");
	SetSpecialEventMessage("SpecialEvent8", "Fraternity member: They say it's cursed souls of creatures or maybe people.");
	SetSpecialEventMessage("SpecialEvent9", "Me: There is something about them. I visited many planets and wherever tyranny ruled there were the demons.");
	SetSpecialEventMessage("SpecialEvent10", "Me: Where can I find your leader?");
	SetSpecialEventMessage("SpecialEvent11", "Fraternity member: Housed in an old metro station. You can not miss it.");
	SetSpecialEventMessage("SpecialEvent12", "Me: Thanks!");
	SetSpecialEventMessage("SpecialEvent13", "Brotherhood member: We are planning to attack the inner sector of the government.");
	SetSpecialEventMessage("SpecialEvent14", "Fraternity member: Inside is a weapon. If you need that ammo take it too.");
	SetSpecialEventMessage("SpecialEvent15", "Me: Super, I need it. My last clashes with the soldiers have taken almost everything.");
	SetSpecialEventMessage("SpecialEvent17", "So I'm here. You can go.");
	SetSpecialEventMessage("SpecialEvent18", "Fraternity member: Good. That's the plan..");
	SetSpecialEventMessage("SpecialEvent19", "Fraternity member: You take care of the defense ministry center and the defense systems will fall.");
	SetSpecialEventMessage("SpecialEvent20", "Fraternity member: Paci and your group, you attack the laboratory and collect all records and new technology.");
	SetSpecialEventMessage("SpecialEvent21", "Fraternity member: You get the inner sections and various channels, cellars and tunnels.");
	SetSpecialEventMessage("SpecialEvent22", "Brotherhood member: We will operate separately. As soon as possible attack the central control systems, removing inner section from power.");
	SetSpecialEventMessage("SpecialEvent23", "Fraternity member: Eventually We all meet in the administrative center.");
	SetSpecialEventMessage("SpecialEvent24", "Fraternity member: After the destruction of the tracking systems we will be able to contact each other so then we will organize again.");
	SetSpecialEventMessage("SpecialEvent25", "Paci: I welcome you here.");
	SetSpecialEventMessage("SpecialEvent26", "Me: It looks like you are preparing for a fight.");
	SetSpecialEventMessage("SpecialEvent27", "Me: Heya. It was hard to get here.");
	SetSpecialEventMessage("SpecialEvent28", "Paci: We're going on a little raid of the inner section to steal and destroy.");
	SetSpecialEventMessage("SpecialEvent29", "Paci: Our government used to create different races? I've heard of people struggling against some of those races.");
	SetSpecialEventMessage("SpecialEvent30", "Me: Yes! And I even won the support of the population and liberated people from them.");
	SetSpecialEventMessage("SpecialEvent31", "Me: Yet some of the races have turned against the people and plundered another planet.");
	SetSpecialEventMessage("SpecialEvent32", "Me: They even have some ships. We need to destroy them to protect Earth.");
	SetSpecialEventMessage("SpecialEvent33", "Paci: This is one of the few places the government does not know about.");
	SetSpecialEventMessage("SpecialEvent34", "Me: I have been on several other planets. I managed to destroy the enemy races.");
	SetSpecialEventMessage("SpecialEvent35", "Paci: I have lived elsewhere, but we were discovered.");
	SetSpecialEventMessage("SpecialEvent36", "Me: I learned of it, created by our government.");
	SetSpecialEventMessage("SpecialEvent37", "Me: Even today the government produces the Skaarj race to once again obtain power over the planet and eventually the universe.");
	SetSpecialEventMessage("SpecialEvent38", "Paci: This will help a lot. How did you actually get to Earth?");
	SetSpecialEventMessage("SpecialEvent39", "Paci: And you have destroyed some of the races?");
	SetSpecialEventMessage("SpecialEvent40", "Me: A Stargate. The government has it in the big concrete building in section 16.");
	SetSpecialEventMessage("SpecialEvent41", "Paci: They have Stargate?! It must kept very secret. We don't know about it at all.");
	SetSpecialEventMessage("SpecialEvent42", "Me: So it seems.");
	SetSpecialEventMessage("SpecialEvent43", "Me: It's very well guarded, plenty of soldiers. I just managed to escape.");
	SetSpecialEventMessage("SpecialEvent44", "Me: I see that you have enough music here. Where did you get it?");
	SetSpecialEventMessage("SpecialEvent45", "Paci: He often changes his residence...I cannot say.");
	SetSpecialEventMessage("SpecialEvent46", "Paci: So we go. See Nako for ammunition if you need it.");
	SetSpecialEventMessage("SpecialEvent48", "Paci: A team will go through the door on the top tube station. Once there we are going to go on the offensive.");
	SetSpecialEventMessage("SpecialEvent49", "Paci: One special group is somewhere in a secret underground production facility and makes CD's of old bands.");
	SetSpecialEventMessage("SpecialEvent50", "Paci: Sometimes they drop them off to us, but have no idea where they are situated.");
}

function FixMap_45HighTown()
{
	SetSpecialEventMessage("SpecialEvent0", "Brotherhood member: So this way you get to the inner section. Good luck.");
	SetSpecialEventMessage("SpecialEvent1", "ALARM! Intruder at the internal section!");
	SetSpecialEventMessage("SpecialEvent3", "HACK ...");
	SetSpecialEventMessage("SpecialEvent4", "Access DENIED!");
	SetSpecialEventMessage("SpecialEvent5", "HACK ...");
	SetSpecialEventMessage("SpecialEvent6", "Access DENIED!");
	SetSpecialEventMessage("SpecialEvent7", "Me: I need to open the door to headquarters.");
	SetSpecialEventMessage("SpecialEvent8", "Access DENIED!");
	SetSpecialEventMessage("SpecialEvent9", "Me: Good, succeeded. Now I will take care of the defense headquarters.");
	SetSpecialEventMessage("SpecialEvent10", "Brotherhood: You got it.");
	SetSpecialEventMessage("SpecialEvent11", "Brotherhood: We managed to disrupt the monitoring system. How are things with you?");
	SetSpecialEventMessage("SpecialEvent12", "Me: I am upstairs. There's a nice view.");
	SetSpecialEventMessage("SpecialEvent13", "Brotherhood: We managed to get access to the internal network,");
	SetSpecialEventMessage("SpecialEvent14", "Brotherhood: Now we can open most doors.");
	SetSpecialEventMessage("SpecialEvent15", "Brotherhood: When you need to open the door friend just let me know. So far so good.");
	SetSpecialEventMessage("SpecialEvent16", "Me: I got to the bottom of the reactor.");
	SetSpecialEventMessage("SpecialEvent17", "Brotherhood: Excellent. Now put bombs on the reactor and control panel.");
	SetSpecialEventMessage("SpecialEvent18", "Brotherhood: Then run away from there as quickly as possible. It will be a massive explosion.");
	SetSpecialEventMessage("SpecialEvent19", "Brotherhood: Then you will be able to attack the fleet.");
	SetSpecialEventMessage("SpecialEvent20", "Me: I couldn't answer. Perhaps there are some signal jammers.");
	SetSpecialEventMessage("SpecialEvent21", "Me: Hello. Is anyone there? Can you hear me?");
	SetSpecialEventMessage("SpecialEvent22", "Me: I couldn't reply. I guess I'm too deep and the signal will not reach here.");
	SetSpecialEventMessage("SpecialEvent23", "Me: Reporting the HQ is destroyed....I can not hear you....Let me know.");
	SetSpecialEventMessage("SpecialEvent24", "We will send help. Your teleportation locator will show you if you get too far away. I will find you via a signal in my communication equipment.");
	SetSpecialEventMessage("SpecialEvent26", "Marines: We can't just give up. We are sending an away team from the ship.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Prison cell? There are no bars but there's an energy barrier. Where to turn this off...I can not contact the brotherhood so I can't tell them to shut the field down.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Whore! As soon as I took a few steps in I managed to trigger an alarm.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: An access card. Wow, that will be useful.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: The entire floor is probably closed.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: The inside looks very luxurious. The Government lives well at the expense of ordinary people.");
	SetTranslatorEventMessage("TranslatorEvent5", "Radar captured a large number of hostile ship headed towards Earth. It was declared an emergency.");
	SetTranslatorEventMessage("TranslatorEvent6", "Enemy fleet consists of 38 Krall warships, 172 support craft and 5 Battle Cruisers.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: This way will be the best escape. It will be best to get the farthest away.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: That was close...I move like a cow. Now to find the other members of the Brotherhood and get out of here. I just don't not know exactly where I am.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Where am I at now? It reminds me of the factories on Sirius. Did I teleport to the factory?");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: What's this? So that what they do when they arrest people, they perform all sorts of experiments on them...no! The mutants are ALL THEIR CREATIONS!");
	SetTranslatorEventMessage("TranslatorEvent11", "Number of produced Skaarj for the last 12 hours: 143...DESTINATION: plaг @:....<ZZZzztt>...DISK DAMAGE:-(");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: I've already started an attack on the Tauri. A huge bombarding. After I destroyed the headquarters of the country defense, I'll have no problem with a Nali attack.");

	SetTriggerMessage("Trigger45","Run like the wind!");
}

function FixMap_46SpacePort()
{
	SetSpecialEventMessage("SpecialEvent2", "Paci: I want to crank up the engines on the bottom floor.");
	SetSpecialEventMessage("SpecialEvent3", "Me: OK");
	SetSpecialEventMessage("SpecialEvent4", "Paci: We managed to teleport to the control center of the ship.");
	SetSpecialEventMessage("SpecialEvent5", "Me: Wow. It's there for your taking.");
	SetSpecialEventMessage("SpecialEvent6", "The engines are ready.");
	SetSpecialEventMessage("SpecialEvent7", "Me: Well, I'm here and engines are ready.");
	SetSpecialEventMessage("SpecialEvent8", "Paci: Wow. So we can finally fly off.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: I hope the spaceship will not be damaged from bombing. However we must prepare the ship for it as it will be well guarded.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Wow, this is a proper spaceship. I never thought that the government would have such a modern ship while members of other parties are flying on trips in old junkers. Certainly this is equipped with the latest technologies.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: A weapons room. I can finally add equipment.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: The Government is also doing experiments on humans. This one is totally torn apart.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: This is going to be a torture chamber. Most of the equipment fortunately is not installed yet.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Cabin Club is nicely equipped. Billiards, foozball, darts. Government has nice lives while it prohibits ordinary people under penalty of prison or forced labor. Yet they live like this. You bastards!");
}

function FixMap_47Outro()
{
	SetSpecialEventMessage("SpecialEvent1", "Before leaving we managed to transport the majority of the rebels.");
	SetSpecialEventMessage("SpecialEvent2", "models and scripts (RysPak): Leo (T.C.K.)");
	SetSpecialEventMessage("SpecialEvent3", "Story and level design: Paci");
	SetSpecialEventMessage("SpecialEvent4", "The Allied forces also bombarded Tauri.");
	SetSpecialEventMessage("SpecialEvent5", "In order to destroy all military bases, technological facilities and government buildings.");
	SetSpecialEventMessage("SpecialEvent6", "Definitely enough to destroy all world domination.");
	SetSpecialEventMessage("SpecialEvent7", "It will be followed by a ground invasion that will destroy all the rest of the government.");
	SetSpecialEventMessage("SpecialEvent8", "Let's hope that the war will end soon.");
	SetSpecialEventMessage("SpecialEvent9", "Time to begin the restoration of a free life on earth.");
	SetSpecialEventMessage("SpecialEvent10", "Because they know of the existence of the Stargate people will be able to travel to the other world.");
	SetSpecialEventMessage("SpecialEvent11", "I just hope that people will appreciate the newly acquired freedom.");
	SetSpecialEventMessage("SpecialEvent12", "The only question is what happens to....you?");
	SetSpecialEventMessage("SpecialEvent13", "Web: paci.profitux.cz");
	SetSpecialEventMessage("SpecialEvent14", "Coop alphatest and minor adjustments: Leo (T.C.K.)");
	SetSpecialEventMessage("SpecialEvent15", "I hope you liked the episode and write me your opinion.");
	SetSpecialEventMessage("SpecialEvent16", "Mail: MrPaci@seznam.cz");
}

function FixMap_S1SkyShip()
{
	SetSpecialEventMessage("SpecialEvent0", "Hyperdrive knocked out");
	SetSpecialEventMessage("SpecialEvent1", "Shields knocked out");
	SetSpecialEventMessage("SpecialEvent2", "Brakes off");
	SetSpecialEventMessage("SpecialEvent3", "Main drive is out");
	SetSpecialEventMessage("SpecialEvent4", "Weapon systems out");
	SetSpecialEventMessage("SpecialEvent5", "Navigation knocked out");

	SetTranslatorEventMessage("TranslatorEvent0", "25 July 2084 We are transporting prisoners from Exploited. On Madehiten we saw a ship full of pupae. These beetles can devour all greens on the planets so fast. The crew is dead. The whole ship we then burned up in the atmosphere.");
	SetTranslatorEventMessage("TranslatorEvent1", "Kralls occupied our planet Exploited and now most of us are taken somewhere. This crew has some problems, I have heard gunfire. Some us get beaten up.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: Where am I? Looks like some ancient Egyptian temple. Fear goes with that environment. Mysterious noises all around. I'm afraid of what you can meet me here.");
	SetTranslatorEventMessage("TranslatorEvent23", "My Log: That room was pretty bleak. I need to be careful. If I see that there are any books I should check them.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: What's this? Ancient Egyptian palace, but on a cosmic ship. I had no idea the ships can have this form.");
	SetTranslatorEventMessage("TranslatorEvent25", "My Log: Great. I need to get to the engine, damage it, then get out of this cursed ship full of pupae.");
}

function FixMap_S2Cursed()
{
	SetSpecialEventMessage("SpecialEvent0", "There was a breakdown in the main naqahdah generator. Explosion could occur in a few seconds.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: It looks like an old abandoned subway station. And it seems that it's a place of street loafers who populate the dark forces. Wait until they find out what will happen to them.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Getting to the surface is blocked by the wall, not a way out. Perhaps I can find another way. Dark forces are too powerful here, I must eradicate them.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: Ancient ticket office. Common long ago on Earth.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Restroom. Hopefully there's a hidden entrance to the sewers. I can't go back, it's not the way.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Dark Legion also enters this world too. I'm afraid of what abominations I will meet.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: What the hell...Must be a breakdown between worlds. I've read about them in an old book. This is probably the underworld. It arises from hatred and in it killers and the like find their end.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: One of portals between worlds. I hope it gets me back on Exploited.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Ah, so I'm back. Fortunately, I did not go far in this world, the skaarj base is nearby. I need to quickly finish the job.");
}

function FixMap_S3Toys()
{
	SetSpecialEventMessage("SpecialEvent0", "Al-Srajda again attacks the WTC.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Where am I? What happened? Why am I so small and everything else is so large? I feel light as a feather.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: This reminds me of my childhood dice. Each side can put together a picture. But punks we were not then.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log In these crates are cubes for children. These are really interesting pictures. We find a lot of punks, some things about Stargate, metalheads and even there is Paci:-).");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: These toys remind me of Walachia wooden models of buildings.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Next lot of cubes for kids.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Crayons....I'm rolling on the ground.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: Under the bed is a mess. If my mom saw that there would be hell to pay...I can't even describe how furious.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Next cubes with punks, Pinhead and metalheads. That is completely insane, I saw that life has a lot but I know I will never do everything I see on these toys.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: I see that here by the door WTC is built, but it's not possible since it was more than 280 years past. And how would they know on Haros about it? What if I'm not on Haros ??? And is that even real ???");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Ugh, it was probably just a strange dream. It was a long day, I probably got a little light-headed. I can still get some sleep, the morning is far away.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: I see that they are not drawn to coloring, but drawing the pictures straight. Metalheads, punks and everything musical.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: It smokes out the window ... I mean the chimney");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: A pile of wooden blocks. Strangely, no punks.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: A pile of paper and drawn pictures. The author is obviously a very passionate painter.");
	SetTranslatorEventMessage("TranslatorEvent14", "My next batch of cubes. With that you could play beautifully.");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: Looks like this corridor leads away from this insane closet.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: Hey, a plane.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: Someone took a bunch of trains and ran straight into the WTC.");
	SetTranslatorEventMessage("TranslatorEvent19", "My Log: Puzzle cubes with images on all sides. This time they are Hammerfall.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: Here's a nice turntable. They should play plenty of metal.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: In this shelf are just some CD's. I would take them home!");
}

function FixMap_S4VReality()
{
	SetSpecialEventMessage("SpecialEvent0", "Bad texture detected at 07: D4: 5A: 13: CB: F3x666: 29AH");
	SetSpecialEventMessage("SpecialEvent1", "Warning - virtual reality engine has detected a large number of code errors. There is a system crash.");
	SetSpecialEventMessage("SpecialEvent2", "!!! Found virus !!! Virus: Paci Filter v4.26.");
	SetSpecialEventMessage("SpecialEvent3", "Init: Engine started");
	SetSpecialEventMessage("SpecialEvent4", "Entity: A virus destroyed everything. My whole reality is infested with the virus 'Paci Filter' and now it's everywhere.");
	SetSpecialEventMessage("SpecialEvent5", "Entity: Welcome to my world. In the world created by Entity.");
	SetSpecialEventMessage("SpecialEvent6", "Entity: You may wonder why you are here. Well, I want to create a world where they will pay to live and soon my virtual world will devour you little world and those you help me defeat.");
	SetSpecialEventMessage("SpecialEvent7", "Entity: I just scanned your mind, your fighting skills will help me to better grow and conquer...");
	SetSpecialEventMessage("SpecialEvent8", "Entity: What's happening? I'm beginning to get strange errors across my entire world.");
	SetSpecialEventMessage("SpecialEvent9", "What is this? I did not create this space.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Damn someone stuck this iron to the self-adhesive liner. I wonder. Who other than Paci. He also stuck the iron to the shelf at our cottage in 1996 and is still there today. Update: In 2005, someone took off with an ax.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: What happened? It's as if my body suddenly went through the flash.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: It seems to me as if I am in some virtual reality.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: It seems to me as if I am in some virtual reality.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Hmm ... virtual reality seems to be a work in progress. Now I seem to be a some space station.");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: Damn I can't do anything with this terminal. Even in virtual reality I can't use the system.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: So what's this...Here is a video of the Stargate being built! I need to watch this...'ERROR: missing codecs can not be played'. HELL FUCKING grrrrr and furiously I bang the keyboard!");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: In my youth I was looking forward to the first alien video posted to the internet. Then my computer read: TOTAL FATAL ERROR: This computer performed an illegal operation and will be shut down.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: So this computer will never play again. Someone got a little upset.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: It seems the system is frozen. Nothing works.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: 100 years and it's still the same damn message: This computer performed an illegal operation and will be shut down. Over the years it never was replaced...");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: Copying time left: 13 years 182 days 18 hours 36 seconds. So it probably will not be anytime soon.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: UnrealEd is about as stable as the political state in Iraq, it creates random mistakes one after another. It's broken. Grab a hammer and 'LET THE HAMMER FALL'! Then, once you realize that you've fucked up buy a new computer.");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: You can not go on, it probably is not ready yet.");
	SetTranslatorEventMessage("TranslatorEvent14", "My Log: Here is the data feed. All 0 and 1... why not 3 and 6?");
	SetTranslatorEventMessage("TranslatorEvent15", "My Log: this tunnel leads somewhere else...");
	SetTranslatorEventMessage("TranslatorEvent16", "My Log: This place reminds me of Haros.");
	SetTranslatorEventMessage("TranslatorEvent17", "My Log: This part of the city is without a texture. Maybe no one has taken the time to finish putting it together.");
	SetTranslatorEventMessage("TranslatorEvent18", "My Log: This will be the next passage from the world. Maybe?");
	SetTranslatorEventMessage("TranslatorEvent19", "Once upon a time we entered the location of a planet and sent probes. We encountered an artificial intelligence computer called Entity. It seems he wants to create his reality which would then engulf our reality.");
	SetTranslatorEventMessage("TranslatorEvent20", "My Log: The CD's there are metal-pity I can't listen. The TV plays Pinhead on HellRaiser. I've seen it. Looks as if Entity madee his world from thoughts and feelings of us. That's interesting, and maybe also the only way to stop it.");
	SetTranslatorEventMessage("TranslatorEvent21", "My Log: This place is not at all finished. These steps go nowhere.");
	SetTranslatorEventMessage("TranslatorEvent22", "My Log: This water is not ready yet.");
	SetTranslatorEventMessage("TranslatorEvent23", "My Log: Hey this is Egypt, but I have not been to Egypt. Well, let's see what we can do.");
	SetTranslatorEventMessage("TranslatorEvent24", "My Log: Oh I get the idea. This area is of STARGATE. Unfortunately, I see that the gateway is not ready yet. I can't use it to get away. That's fine, I would not know how to enter the 9 symbol on it to make it function.");
	SetTranslatorEventMessage("TranslatorEvent25", "My Log: It looks like I'm on the mothership.");
	SetTranslatorEventMessage("TranslatorEvent26", "My Log: Now I know how to destroy this virtual reality. There's no Paci filter and that's how to get it done.");
	SetTranslatorEventMessage("TranslatorEvent27", "My Log: I had not noticed how this door has almost no texture. I should be more attentive.");
	SetTranslatorEventMessage("TranslatorEvent28", "My Log: It seems that your system is infected :-)");
	SetTranslatorEventMessage("TranslatorEvent29", "My Log: Entity...he wanted to create a virtual reality, but forgot antivirus. Oops :-)");
}

function FixMap_S5HellRaiser()
{
	SetSpecialEventMessage("SpecialEvent0", "Voice: Do you know who I am?");
	SetSpecialEventMessage("SpecialEvent2", "Joseph: the phone rings...I guess I should pick up.");
	SetSpecialEventMessage("SpecialEvent4", "Voice: I got your...message.");
	SetSpecialEventMessage("SpecialEvent5", "Joseph: What do you want from me? !!!");
	SetSpecialEventMessage("SpecialEvent6", "Voice: I want you to go home, Commander.");
	SetSpecialEventMessage("SpecialEvent7", "Nali: Since the fingerprint of a child ...");
	SetSpecialEventMessage("SpecialEvent8", "Nali: ... belongs to you.");
	SetSpecialEventMessage("SpecialEvent11", "Joseph: I do not understand.");
	SetSpecialEventMessage("SpecialEvent12", "Nali: I know.");
	SetSpecialEventMessage("SpecialEvent13", "Nali: So how did you not understand when I told you to go home.");
	SetSpecialEventMessage("SpecialEvent14", "Nali: I did not mean this house.");
	SetSpecialEventMessage("SpecialEvent15", "Nali: I was referring to your first home.");
	SetSpecialEventMessage("SpecialEvent16", "Nali: The one in which you grew up.");
	SetSpecialEventMessage("SpecialEvent17", "Nali: I can help you... understand.");
	SetSpecialEventMessage("SpecialEvent18", "Nali: I know everything about you, Joseph.");
	SetSpecialEventMessage("SpecialEvent19", "Nali: Your case is almost closed.");
	SetSpecialEventMessage("SpecialEvent20", "Joseph: I'm not a murderer!");
	SetSpecialEventMessage("SpecialEvent21", "Nali: So you found him, now you have to go back to where you started.");
	SetSpecialEventMessage("SpecialEvent22", "Nali: Come back, Joseph. Come home.");
	SetSpecialEventMessage("SpecialEvent33", "Nali: Welcome home, Joseph.");
	SetSpecialEventMessage("SpecialEvent34", "Nali: It's been nearly an hour");
	SetSpecialEventMessage("SpecialEvent35", "Nali: Nobody was there when I arrived. No one who would hear them crying.");
	SetSpecialEventMessage("SpecialEvent36", "Nali: Did Tony.");
	SetSpecialEventMessage("SpecialEvent37", "Nali: A child's finger in his mouth.");
	SetSpecialEventMessage("SpecialEvent38", "Nali: Time for the stomach since the finger was not burned.");
	SetSpecialEventMessage("SpecialEvent39", "Nali: Look at the fingerprint and, miraculously, find out to whom it belongs.");
	SetSpecialEventMessage("SpecialEvent40", "What they found does not make any sense ...");
	SetSpecialEventMessage("SpecialEvent24", "Mom: I made you a pie, your favorite.");
	SetSpecialEventMessage("SpecialEvent25", "Mom: Do you know why I baked it?");
	SetSpecialEventMessage("SpecialEvent26", "Mom: Because you are my beloved boy.");
	SetSpecialEventMessage("SpecialEvent27", "Mom: I'll give a little to dad.");
	SetSpecialEventMessage("SpecialEvent28", "Joseph: Mom?");
	SetSpecialEventMessage("SpecialEvent29", "Mom: Why did you stop by Joe?");
	SetSpecialEventMessage("SpecialEvent30", "Mom: I still work for the Air Force.");
	SetSpecialEventMessage("SpecialEvent31", "Mom: The family loves you all the time. Do not like it?");
	SetSpecialEventMessage("SpecialEvent32", "Pinhead: Everything is just a riddle.");
	SetSpecialEventMessage("SpecialEvent41", "Pinhead: I like to play chess.");
	SetSpecialEventMessage("SpecialEvent42", "Pinhead: Figures are moving across the surface with one simple intention.");
	SetSpecialEventMessage("SpecialEvent43", "Pinhead ... kill the king.");
	SetSpecialEventMessage("SpecialEvent44", "Joseph: Who is the king in this game?");
	SetSpecialEventMessage("SpecialEvent45", "Pinhead: That question you have to answer yourself.");
	SetSpecialEventMessage("SpecialEvent46", "Pinhead: Do not you recognize your own body? Own spirit?");
	SetSpecialEventMessage("SpecialEvent47", "Joseph: I do not understand.");
	SetSpecialEventMessage("SpecialEvent48", "Pinhead: Internal effort to preserve your own humanity.");
	SetSpecialEventMessage("SpecialEvent49", "Pinhead: Intolerance, whimper for help. 'Please help me'...");
	SetSpecialEventMessage("SpecialEvent50", "Pinhead: This is the life you chose, Joseph.");
	SetSpecialEventMessage("SpecialEvent51", "Pinhead: All those people whom you hurt. All your desires that you have satisfied");
	SetSpecialEventMessage("SpecialEvent52", "Pinhead: You ruined your own innocence.");
	SetSpecialEventMessage("SpecialEvent53", "Pinhead: You let your body betray your spirit.");
	SetSpecialEventMessage("SpecialEvent54", "Pinhead: You are its own... king.");
	SetSpecialEventMessage("SpecialEvent55", "Pinhead: And this is a Hell which you have created for yourself.");
	SetSpecialEventMessage("SpecialEvent56", "Pinhead: Your body kills it's own spirit.");
	SetSpecialEventMessage("SpecialEvent57", "Joseph: NOOOOOOOOOOOOOOOO !!!");
	SetSpecialEventMessage("SpecialEvent58", "Pinhead: Oh yes, Joseph. Oh yes.");
	SetSpecialEventMessage("SpecialEvent59", "Pinhead: The next death remains to be finished.");
	SetSpecialEventMessage("SpecialEvent60", "Pinhead: Welcome to the worst nightmare of all ... reality!");
	SetSpecialEventMessage("SpecialEvent62", "Pinhead: Ahh Joseph, we thought we'd lost you");
	SetSpecialEventMessage("SpecialEvent63", "Pinhead: How nice of you that you have returned");
	SetSpecialEventMessage("SpecialEvent64", "Pinhead: Joseph - so magnanimous, you do not want to be late, so naive of you that will not admit it");
	SetSpecialEventMessage("SpecialEvent65", "Pinhead: And perhaps you are playing with us? You're making fun of us?");
	SetSpecialEventMessage("SpecialEvent66", "Joseph: NOOOOOOO");
	SetSpecialEventMessage("SpecialEvent67", "Pinhead: HA HA HA HA HA");
	SetSpecialEventMessage("SpecialEvent68", "Pinhead: HAHAHAHAHAHAHAHAHA");
	SetSpecialEventMessage("SpecialEvent69", "You feel yourself leaving your own body...");
	SetSpecialEventMessage("SpecialEvent70", "Your mind, it floats up from your body");
	SetSpecialEventMessage("SpecialEvent71", "Your mind now can know the truth");
	SetSpecialEventMessage("SpecialEvent72", "Now it is moved into the consciousness of Joseph");
	SetSpecialEventMessage("SpecialEvent73", "You can know the crimes and suffering...");
	SetSpecialEventMessage("SpecialEvent74", "Pinhead: We are here. Now you must come with us.");
	SetSpecialEventMessage("SpecialEvent75", "Pinhead: It will be our pleasure to have you.");
	SetSpecialEventMessage("SpecialEvent76", "Joseph: Go away and leave me alone!");
	SetSpecialEventMessage("SpecialEvent77", "Pinhead: Oh, no tears, please.");
	SetSpecialEventMessage("SpecialEvent78", "Pinhead: It's a waste of good suffering.");
	SetSpecialEventMessage("SpecialEvent79", "Joseph: Have you no mercy?");
	SetSpecialEventMessage("SpecialEvent80", "Pinhead: People like you are just so happy for anguish.");
	SetSpecialEventMessage("SpecialEvent81", "Pinhead: Especially if it is the suffering of others.");
	SetSpecialEventMessage("SpecialEvent82", "Pinhead: Now is the time for a taste. A taste of your own suffering, hatred and pain.");
	SetSpecialEventMessage("SpecialEvent83", "Pinhead: Just look at all the worlds who are enslaved.");
	SetSpecialEventMessage("SpecialEvent84", "Pinhead: Just look at the state of the planet Earth ...");
	SetSpecialEventMessage("SpecialEvent85", "Pinhead: a world full of suffering, hatred, evil.");
	SetSpecialEventMessage("SpecialEvent86", "Joseph: I did not know this would happen in the future.");
	SetSpecialEventMessage("SpecialEvent87", "Pinhead: You knew too well what was going to happen.");
	SetSpecialEventMessage("SpecialEvent88", "Pinhead: Your time is coming to an end.");
	SetSpecialEventMessage("SpecialEvent89", "Pinhead: I'll rip your soul apart. HA HA HA HA HA");
	SetSpecialEventMessage("SpecialEvent90", "Welcome to your own hell.");
	SetSpecialEventMessage("SpecialEvent91", "Pinhead: I'm tired of wasting time.");
	SetSpecialEventMessage("SpecialEvent92", "Pinhead: Welcome to hell.");
	SetSpecialEventMessage("SpecialEvent93", "Pinhead: You are a fighter... Do you see now who is behind the state of the universe? Now continue your journey.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Where am I? And why am I wearing these clothes? I'll look around a bit and maybe remember a little.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: This must be some kind of warehouse. There is hardly any goods but there is plenty of dark and cold");
	SetTranslatorEventMessage("TranslatorEvent2", "Joseph Log: What's happening? I must hurry home. I don't know what may await me there.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: I have such a weird feeling...My mind is in the body of a stranger. It seems to me like I'm just a bystander, and can not interfere. I feel his own feelings.");
	SetTranslatorEventMessage("TranslatorEvent4", "Joseph Log: This reminds me of my childhood room.");
	SetTranslatorEventMessage("TranslatorEvent5", "Joseph Log: Small recreation room for watching TV.");
	SetTranslatorEventMessage("TranslatorEvent6", "Joseph Log: What's happening?");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: My brother has always been a hell of a metalhead. When he let go of his most favorite metal band the house shook to its foundations.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: East is blocked.");
	
	SetTriggerMessage("Trigger21","You took an axe that can be thrown");
}

function FixMap_S6PaciManor()
{
	SetSpecialEventMessage("SpecialEvent0", "Welcome to Paci's home.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Where did they put the bar stools? Aha, they are on the ceiling. At least it is original.");
	SetTranslatorEventMessage("TranslatorEvent1", "My Log: Inside are tables with chairs. A Czech teacher commented on this: That's how I imagine it. There's a pile of tables and chairs.");
	SetTranslatorEventMessage("TranslatorEvent2", "My Log: I can see this in a newspaper headline: He drowned in the bath, which was upside down on the ceiling. A ton of water mysteriously stuck there.");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: Fuck this... Using these toilets won't be pleasant.");
	SetTranslatorEventMessage("TranslatorEvent4", "My Log: Which way now?");
	SetTranslatorEventMessage("TranslatorEvent5", "You jumped here, now how will you get out. :-D");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: This house seems to be much bigger than I expected.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Very interesting house. Some rooms are upside down, in others the wall is the floor or the ceiling is the wall. As I go through the rooms get confusing. Right now I find that suddenly the ground floor is now the wall...");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: The house looks abandoned. I'll look for someone who could tell me where it actually came from.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: This is a psycho house! Rooms lose their shape, doors are various contortions... but most of it is original. I was embarrassed to have you just go through the normal manor house.");
	SetTranslatorEventMessage("TranslatorEvent10", "My Log: Interesting solution to a corridor.");
	SetTranslatorEventMessage("TranslatorEvent11", "My Log: This door is well built. There will be something important inside.");
	SetTranslatorEventMessage("TranslatorEvent12", "My Log: Trees and shrubs growing in the basement? Why am I not surprised?");
	SetTranslatorEventMessage("TranslatorEvent13", "My Log: Hmm. Chimney leading back into the house. That's certainly not ideal :-)");
	SetTranslatorEventMessage("TranslatorEvent14", "12 May 2084: My big house is almost done, missing only a few rooms. 14 May 2084: During the night, the house began making strange noises. I have a feeling that demons are in the house.");
	SetTranslatorEventMessage("TranslatorEvent15", "7 May 2084: The house is almost done. Finally I can still explore this mysterious puzzle. Paci knows about it. 13 May 2084: I finally figured it out how to open the Lament Configuration.");
	SetTranslatorEventMessage("TranslatorEvent16", "15 May 2084: Today I moved into the house. After so long I can now listen to metal. 17 May 2084: What's going on? Harold and Tom mysteriously disappeared. I lost the house keys, saw some things but I don't know what. Red ghosts...");
	SetTranslatorEventMessage("TranslatorEvent17", "8 May 2084: Paci's crazyhouse is built. Rooms of various state. Bar stools on the ceiling. The chimney of the fireplace back in the house. Weird space dimension. Cellar with trees. At least it's untraditional.");

	SetTriggerMessage("Trigger2","You got a key");
	SetTriggerMessage("Trigger3","You got a key");
	SetTriggerMessage("Trigger5","You got a key");
}

function FixMap_S7Gloomy()
{
	SetSpecialEventMessage("SpecialEvent0", "What. The. Fuck.");

	SetTranslatorEventMessage("TranslatorEvent0", "My Log: Where am I? Where did all the colors go? This place affects me strangely.");
	SetTranslatorEventMessage("TranslatorEvent1", "That left only a few of us. Krall occupy our last houses. Soon they come to take this pub.");
	SetTranslatorEventMessage("TranslatorEvent2", "Inventory: 4-Diamonds, 2-Rubies, 5-Pendants, one emerald ring, 2-Royal crowns studded with diamonds");
	SetTranslatorEventMessage("TranslatorEvent3", "My Log: This is a special city, but where did the local people disappear to?");
	SetTranslatorEventMessage("TranslatorEvent5", "My Log: This is like a tomb. It smells of death and decay.");
	SetTranslatorEventMessage("TranslatorEvent6", "My Log: A secret passageway. I wonder where it leads.");
	SetTranslatorEventMessage("TranslatorEvent7", "My Log: Perhaps it's the castle treasury. Yet there are no valuables. Evidentally the Kralls have stolen everything.");
	SetTranslatorEventMessage("TranslatorEvent8", "My Log: I wonder where this is from. If memory serves me well it's a clip from Hearts on Fire by Hammerfall.");
	SetTranslatorEventMessage("TranslatorEvent9", "My Log: Devoid of colors there is only bright red and it's found only in the blood and flesh. So morbid, I'd rather not know why that's done.");
	SetTranslatorEventMessage("TranslatorEvent10", "If Krall come to my house there will be certainly no mercy. They will rob my house of valuables. Let's hope that our people will fight.");
	SetTranslatorEventMessage("TranslatorEvent11", "We are unable to cope with the dark threat. We have no choice but to escape through the underground tomb to the fortress. It's our only hope.");
	SetTranslatorEventMessage("TranslatorEvent12", "I remember that our people constantly warred about every bullshit thing. Now when threats appear outside we do not have enough people on defense.");
	SetTranslatorEventMessage("TranslatorEvent13", "Dark Horde Krall just keeps coming. My senses begin to have problems. Soon they will not be able to help me.");
	SetTranslatorEventMessage("TranslatorEvent14", "In this world small nations fought useless wars among themselves. They invented weapons, diseases. One nation created Dark Kralls. They destroyed the others but one day Kralls understood they have the power and turned against all.");
	SetTranslatorEventMessage("TranslatorEvent15", "We don't have much time. Krall are taking our fortress and soon will get here. Luckily I came to defend against them. Instructions for making a magic potion for the destruction of Dark Kralls is in the next room.");
}


// Housekeeping
function Actor GetMapActor(string ActorName)
{
	return Actor(DynamicLoadObject(outer.name $ "." $ ActorName, class'Actor', true));
}

function SetSpecialEventMessage(string ActorName, string Message)
{
	local SpecialEvent A;

	A = SpecialEvent(GetMapActor(ActorName));
	if (A == none)
	{
		log("Error: SpecialEvent actor" @ ActorName @ "is not found");
		return;
	}
	A.Message = Message;
}

function SetTranslatorEventMessage(string ActorName, string Message)
{
	local TranslatorEvent B;

	B = TranslatorEvent(GetMapActor(ActorName));
	if (B == none)
	{
		log("Error: TranslatorEvent actor" @ ActorName @ "is not found");
		return;
	}
	B.Message = Message;
}

function SkipWormholes(string ActorName, string URL)
{
	local Teleporter C;
	
	C = Teleporter(GetMapActor(ActorName));
	if (C == none)
	{
		log("Error: Teleporter actor" @ ActorName @ "is not found");
		return;
	}
	C.URL = URL;
}

function SetTriggerMessage(string ActorName, string Message)
{
	local Trigger D;

	D = Trigger(GetMapActor(ActorName));
	if (D == none)
	{
		log("Error: Trigger actor" @ ActorName @ "is not found");
		return;
	}
	D.Message = Message;
}

defaultproperties
{
	bUseTranslatorMarks=True
	bSkipWormholes=True
}
